


function bd09togcj02(bd_lon, bd_lat) {
    var x_pi = 3.14159265358979324 * 3000.0 / 180.0;
    var x = bd_lon - 0.0065;
    var y = bd_lat - 0.006;
    var z = Math.sqrt(x * x + y * y) - 0.00002 * Math.sin(y * x_pi);
    var theta = Math.atan2(y, x) - 0.000003 * Math.cos(x * x_pi);
    var gg_lng = z * Math.cos(theta);
    var gg_lat = z * Math.sin(theta);
    return [gg_lng, gg_lat]
}

function ToggleAppAndH5(AppUrl, AppCallback = () => {}) {
    // 先走APP
    const ifr = document.createElement('iframe');
    ifr.src = AppUrl;
    ifr.style.display = 'none';
    document.body.appendChild(ifr);
    setTimeout(function () {
        document.body.removeChild(ifr);
    }, 1000);

    // 800毫秒后调用H5链接
    let timer = setTimeout(function () {
        clearTimeout(timer);
        AppCallback();
    }, 400);

    window.onblur = function () {
        clearInterval(timer);
    };
}

function Callback() {
    // 这里放相关H5链接
    if (mapType === 'baidu') {
        location.href = "http://api.map.baidu.com/direction?origin=latlng:" + mapData.curLat + "," + mapData.curLng + "|name:" + mapData.currAddr + "&destination=latlng:" + mapData.endLat + "," + mapData.endLng + "|name:" + mapData.endAddr + "&region=" + mapData.cityName + "&mode=driving&output=html&src=com.youbei.chefu";
    } else if (mapType === 'amap') {
        location.href = "https://ditu.amap.com/dir?type=car&from[lnglat]=" + mapData.curLng + "," + mapData.curLat + "&from[name]=" + mapData.currAddr + "&to[lnglat]=" + mapData.endLng + "," + mapData.endLat + "&to[name]=" + mapData.endAddr + "&src=com.youbei.chefu"
    } else if(mapType === 'qqmap') {
        location.href = "https://map.qq.com/m/index/nav/type=drive&cond=0&sword=" + mapData.currAddr + "&spointx=" + mapData.curLng + "&spointy=" + mapData.curLat + "&eword=" + mapData.endAddr + "&epointx=" + mapData.endLng + "&epointy=" + mapData.endLat
    }
}

const u = navigator.userAgent;
const isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端


function get2GaoDe() {
    var data=bd09togcj02(mapData.curLng, mapData.curLat),
        data1=bd09togcj02(mapData.endLng, mapData.endLat);
    mapData.curLng=''+data[0]
    mapData.curLat=''+data[1]
    mapData.endLng=''+data1[0]
    mapData.endLat=''+data1[1]
}

function gaode() {
    get2GaoDe()
    mapType = 'amap'
    // 苹果和安卓头部不一样
    let proto = isiOS ? 'iosamap://path' : 'amapuri://route/plan';
    const AppUrl = proto + "?t=0&slat=" + mapData.curLat + "&slon=" + mapData.curLng + "&sname=" + mapData.currAddr + "&dlat=" + mapData.endLat + "&dlon=" + mapData.endLng + "&dname=" + mapData.endAddr + "&src=xxx";
    ToggleAppAndH5(AppUrl, Callback)
}


function baidu() {
    mapType = 'baidu'
    // 苹果和安卓头部不一样
    let proto = isiOS ? 'baidumap://' : 'bdapp://'
    const AppUrl = proto + "map/direction?region=" + mapData.cityName + "&origin=latlng:" + mapData.curLat + "," + mapData.curLng + "|name:" + mapData.currAddr + "&destination=latlng:" + mapData.endLat + "," + mapData.endLng + "|name:" + mapData.endAddr + "&coord_type=bd09ll&mode=driving&src=com.youbei.chefu";
    ToggleAppAndH5(AppUrl, Callback)
}

function tx() {
    get2GaoDe()
    mapType = 'qqmap'
    let proto = 'qqmap://map/routeplan'
    const AppUrl = proto + "?type=drive&from=" + mapData.currAddr + "&fromcoord" + mapData.curLat+","+mapData.curLng + "&to="+mapData.endAddr + "&tocoord=" + mapData.endLat+","+mapData.endLng + "&referer="
    ToggleAppAndH5(AppUrl, Callback)
}


// 腾讯地图api文档 https://lbs.qq.com/uri_v1/guide-mobile-navAndRoute.html
// 高德地图api文档 https://lbs.amap.com/api/amap-mobile/guide/ios/route
// 百度地图api文档 http://lbsyun.baidu.com/index.php?title=uri/api/android#service-page-anchor9
