function connectWebViewJavascriptBridge(callback) {
    if (window.WebViewJavascriptBridge) {
        callback(window.WebViewJavascriptBridge)
    } else {
        document.addEventListener('WebViewJavascriptBridgeReady', function() {
            callback(window.WebViewJavascriptBridge)
        }, false)
    }
}
var wbBridge = new Object();
wbBridge.bridge = function (type,data){
    try{
        connectWebViewJavascriptBridge(function(bridge){
            switch (type){
                case 'threadInJump':bridge.threadInJump(JSON.stringify(data));
                    break;
                case 'enroll':bridge.enroll(data);
                    break;
                case 'showPhotoes':bridge.showPhotoes(data);
                    break;
                case 'showVideo':bridge.showVideo(data);
                    break;
                case 'gotoUser' : bridge.gotoUser(data);
                    break;
                case 'recommendReply':bridge.recommendReply(data);
                    break;
                case 'rate': bridge.rate(data);
                    break;
                case 'pageJump': bridge.pageJump();
                    break;
                case 'gotoForum': bridge.gotoForum(data);
                    break;
                case 'gotoStore':bridge.gotoBookStore();
                    break;
                case 'joinLoveClub':bridge.joinLoveClub(data);
                    break;
                case 'toShare':bridge.share();
                    break;
                case 'normalInJump':bridge.normalInJump(data);
                    break;
                case 'gotoInterestGroupTagList':bridge.gotoInterestGroupTagList(data);
                    break;
                case 'gotoInterestGroupList':bridge.gotoInterestGroupList(data);
                    break;
                case 'gotoIntroduction' : bridge.gotoIntroduction(data);
                    break;
                case 'manageThreadPostByAdmin' : bridge.manageThreadPostByAdmin(data);
                    break;
                case 'reportToReply' : bridge.reportToReply(data);
                    break;
                case "gotoBusinessCircle":bridge.gotoBusinessCircle(data);
                    break;
                case "gotoBlueprintSquare" : bridge.gotoBlueprintSquare(data);
                    break;
                case 'showLoginView': bridge.showLoginView();
                    break;
                case 'gotoPostThread': bridge.gotoPostThread(data);
                    break;
                case 'gotoBizExperienceList': bridge.gotoBizExperienceList(data);
                    break;
                case 'doRate': bridge.doRate(data);
                    break;
                case 'systemAlertView':bridge.systemAlertView(data);
                    break;
                case 'showToast':bridge.showToast(data);
                    break;
                case 'gotoLouCircleZan':bridge.gotoLouCircleZan(data);
                    break;
                case 'gotoLocalPage':bridge.gotoLocalPage(data);
                    break;
                case 'refreshZan':bridge.refreshZan(data);
                    break;
                case 'getDataCode':bridge.getDataCode(data);
                    break;
            }
        });
    }catch (e) {
        showTip("请升级到最新版本再试")
    }
}
