/**
 * @Description: 客户端交互，数据通信
 * @Version:     v1.0
 * @Author:      ZhuYiMiao lishu
 * @date:        2014.03.20
 **/
;
(function ($) {
    var util = {
        isCq: function () {
            var ua = navigator.userAgent;
            return ua.indexOf("cqmmgo") > -1
        },
        mobileType: function () {
            var TYPE = "android";
            if (!!navigator.userAgent.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/) || !!navigator.userAgent.match(/iPad|iPhone|iPod|iOS/i))
                TYPE = "ios";
            return TYPE;
        },
        isBoard: function () {
            if (config.keyData.fid.toString().length < 8) {
                return false;
            } else {
                return true;
            }
        },
        isAuthor: function ($this) {
            if (config.keyData.uid != $this.attr("data-uid")) {
                return false;
            } else {
                return true;
            }
        },
        tabInit: function (type) {
            //恢复初始化
            config.keyData.loadMore = "false";
            config.keyData.offScroll = "false";
            config.keyData.isLast = "false";
            config.keyData.page = 1;
            config.keyData.sortForm = type;
            config.interactData.replyTabClick = true;
            config.interactData.replyScroll = true;
            config.keyData.item_count = 0
            switch (type) {
                case "old":
                    config.keyData.sortBy = 0;
                    try {
                        ttclickAdd('410402')
                    }catch (e){}
                    break;
                case "new":
                    config.keyData.sortBy = 1;
                    config.keyData.nextDate = 0
                    try {
                        ttclickAdd('410400')
                    }catch (e){}
                    break;
                case "hot":
                    config.keyData.sortBy = 2;
                    try {
                        ttclickAdd('410401')
                    }catch (e){}
                    break;
            }
        },
        scroll: function (scrollTo, time) {
            var scrollFrom = parseInt(document.body.scrollTop),
                i = 0,
                runEvery = 5; // run every 5ms

            scrollTo = parseInt(scrollTo);
            time /= runEvery;

            var interval = setInterval(function () {
                i++;

                document.body.scrollTop = (scrollTo - scrollFrom) / time * i + scrollFrom;

                if (i >= time) {
                    clearInterval(interval);
                }
            }, runEvery);
        },
        floorAnchor: function (anchorPid) {
            var objs = $(".anchor");
            objs.each(function (index, e) {
                var $e = $(e);
                if ($e.attr("data-pid") == anchorPid) {
                    var height = $e.offset().top - 50;
                    util.scroll(height - 50, 500);
                }
            });
        },
        loadImg: function (images) {
            var $window = $(window);
            var buttom = $window.scrollTop() + $window.height() + 2000;
            $.each(images, function () {
                var $this = $(this),
                    src = $this.attr("data-src"),
                    alt = $this.attr("alt");
                if ($this.offset().top < buttom) {
                    if ($this.hasClass("gif_bg")) {
                        $this.children("img").attr("onload", "resize(event);").attr("src", src);
                    } else {
                        var imgHTML = "<img src=\"" + src + "\" onload=\"resize(event);\" alt='" + alt + "'>";
                        $this.append(imgHTML);
                    }
                    $this.removeClass("J_lazy");
                }
            });
        },
        bridge: wbBridge.bridge
    };
    var showTips = {
        ReplayRate: {
            tpl: [

                '<div class="operate J_operate">',
                '<div class="operate-in clear">',
                '{{#manage}}<a class="J_manage operate_btn"><span>管理</span></a>{{/manage}}',
                '{{#manage}}<a class="line line01"></a><a class="line line02"></a>{{/manage}}',
                '{{#iszan-un}}<a class="J_rate J_ratezan operate_btn"><span>赞</span></a>{{/iszan-un}}',
                '{{#iszan}}<a class="J_rate J_ratezan-un operate_btn"><span>已赞</span></a>{{/iszan}}',
                '{{#rate}}<a class="line line01"></a>{{/rate}}',
                '{{#report}}<a class="line line01"></a><a class="line line02"></a><a class="J_report operate_btn"><span>举报</span></a>{{/report}}',
                '</div>',
                '</div>'
            ]
        },
        pos: {
            posX: 0,
            posY: 0
        },
        $this: {},
        operate: "",
        getTipPosition: function (type) {
            var posY = this.pos.posY;
            var posX = this.pos.posX;
            var $operate = $(this.operate);
            //$operate.css("top",posY-5);
            //$operate.css("right",$("body").width()-posX-5);
        },
        createTip: function () {
            var $this = this.$this;
            var rrInfo = {},
                _data = this.ReplayRate;
            var rated = $this.attr("data-rated");
            var permuid = $this.attr("data-uid");
            var unRated = false;
            var report = config.keyData.appVersion.length > 0 && !(config.keyData.appVersion[0] <= 5 && config.keyData.appVersion[1] <= 6 && config.keyData.appVersion[2] < 3) ? true : false;
            var manage = config.keyData.appVersion.length > 0 && !(config.keyData.appVersion[0] <= 5 && config.keyData.appVersion[1] < 5) ? config.keyData.board_admin_perm : false;
            if (permuid == config.keyData.uid && config.keyData.appVersion.length > 0 && !(config.keyData.appVersion[0] <= 5 && config.keyData.appVersion[1] <= 6 && config.keyData.appVersion[2] < 3)) {
                manage = true;
            }
            if (util.isAuthor($this)) {
                if (rated == "false") {
                    rated = false;
                    unRated = true;
                }
                rrInfo = Mustache.render(_data.tpl.join(""), {
                    "manage": manage,
                    "replay": true,
                    "rate": true,
                    "iszan": rated,
                    "iszan-un": unRated,
                    "report": report
                });
                $this.after(rrInfo);
                this.getTipPosition("simple")
            } else {
                if (rated == "false") {
                    rated = false;
                    unRated = true;
                }

                rrInfo = Mustache.render(_data.tpl.join(""), {
                    "manage": manage,
                    "replay": true,
                    "rate": true,
                    "iszan": rated,
                    "iszan-un": unRated,
                    "report": report
                });
                $this.after(rrInfo);
                this.getTipPosition("double")
            }
            this.setData();
        },
        setData: function () {
            var $this = this.$this;
            var pid = $this.attr("data-pid");
            var rated = $this.attr("data-rated");
            var name = $this.attr("data-name");
            var puid = $this.attr("data-uid");
            var is_locked = $this.attr("data-locked");
            $this.siblings(this.operate).find(".J_manage").attr("data-pid", pid);
            $this.siblings(this.operate).find(".J_manage").attr("data-puid", puid);
            $this.siblings(this.operate).find(".J_manage").attr("data-locked", is_locked);
            $this.siblings(this.operate).find(".J_replay").attr("data-pid", pid);
            $this.siblings(this.operate).find(".J_rate").attr("data-pid", pid);
            $this.siblings(this.operate).find(".J_rate").attr("data-rated", rated);
            $this.siblings(this.operate).find(".J_replay").attr("data-name", name);
            $this.siblings(this.operate).find(".J_report").attr("data-pid", pid);
        }
    }

    function threadLink(obj) {
        var t = obj;
        var tt = t.parents('a');
        if (t.parents('.form-btn').length > 0) {
            //报名按钮
            var url = t.attr("data-src");
            util.bridge("enroll", url);
        } else if (t[0].tagName == "A") {
            var url = t.attr("data-url") || t.attr("data-href") || t.attr("href");
            if (url != undefined && url != null && url.indexOf("javascript") == -1) {
                linkAnalysis(url);
            }
        } else if (tt.length > 0) {
            var l = parseInt(tt.length) - 1;
            var t1 = tt[l];
            var url = $(t1).attr("data-url") || $(t1).attr("data-href") ||$(t1).attr("href");
            if (url != undefined && url != null && url.indexOf("javascript") == -1) {
                linkAnalysis(url);
            }
        }
    }

    function imgShow($this) {
        if ($this.hasClass('noImg')) {
            var src = $this.attr("data-src");
            var imgHTML = "<img src=\"" + src + "\" onload=\"resize(event);\">";
            $this.append(imgHTML);
            $this.removeClass('noImg');
        } else {
            var rData = getImgInfo($this);
            if (!!imgIsOk(rData)) {
                rData = JSON.stringify(rData);
                if ($this.parents(".video_gif").length > 0) {
                    util.bridge("showVideo", rData);
                } else {
                    util.bridge("showPhotoes", rData);
                }
            }
        }

        function imgIsOk(rData) {
            if (rData != '') {
                var currentImg = rData.current_img;
                currentImg.indexOf('.mp4.gif') > -1 ? currentImg = currentImg.replace(".gif", "") : void(0);
                var imgList = rData.img_list;
                var len = imgList.length;
                for (var i = 0; i < len; i++) {
                    if (currentImg == imgList[i])
                        return true
                }
                return false;
            }
            return false;
        }


        function getImgInfo(ev) { //图集
            var rjson = {};
            var img_list = [];
            var img_alt = [];
            var src = ev.attr("src");
            if (ev.parents(".big_img").length > 0) {
                rjson.current_img = src.replace("https://", "http://");
                var list = ev.parents(".J_liftCont").find(".big_img");
                var j = 0;
                for (var i = 0, l = list.length; i < l; i++) {
                    var s = $(list[i]).attr("data-src").replace("https://", "http://");
                    var alt = $(list[i]).attr("alt") || "";
                    img_list[j] = s;
                    img_alt[j] = alt;
                    j++;
                }
                rjson.img_list = img_list;
                rjson.img_alt = img_alt;
                rjson.pid = ev.parents(".J_liftCont").attr("data-pid");
                rjson.width = ev.width();
                rjson.height = ev.height();
                rjson.left = ev.offset().left - $(window).scrollLeft();
                rjson.top = ev.offset().top - $(window).scrollTop();
                return rjson
            } else if (ev.parents(".video_gif").length > 0 && ev.parent().hasClass("gif_bg")) {
                rjson.current_img = src.replace("https://", "http://");
                var list = ev.parents(".J_liftCont").find(".video_gif .J_img");
                var j = 0;
                for (var i = 0, l = list.length; i < l; i++) {
                    var s = $(list[i]).attr("data-src").replace("https://", "http://").replace(".gif", "");
                    var alt = $(list[i]).attr("alt") || "";
                    img_list[j] = s;
                    img_alt[j] = alt;
                    j++;
                }
                rjson.img_list = img_list;
                return rjson
            } else if (ev.parents(".video_gif").length > 0 && ev.hasClass("videoIcon")) {
                var src = ev.attr("data-src");
                rjson.current_img = src.replace("https://", "http://");
                var list = ev.parents(".J_liftCont").find(".video_gif .J_img");
                var j = 0;
                for (var i = 0, l = list.length; i < l; i++) {
                    var s = $(list[i]).attr("data-src").replace("https://", "http://").replace(".gif", "");
                    var alt = $(list[i]).attr("alt") || "";
                    img_list[j] = s;
                    img_alt[j] = alt;
                    j++;
                }
                rjson.img_list = img_list;
                return rjson
            } else {
                return "";
            }
        }
    }
    var seeModTime = 1;

    function loadNext(type) {
        if (!config.interactData.offScroll && config.keyData.pageMode == "scroll") {
            var a = window.pageYOffset;
            var b = window.innerHeight;
            var c = document.body.clientHeight;
            var o = (type == "touch") ? true : $(window).scrollTop() != 0
            if (config.keyData.isNovel == "true") {
                if (config.keyData.page > 4 && config.keyData.from == "introduction") {
                    var t = 0;
                } else {
                    var t = -200;
                }
            } else {
                var t = -300;
            }
            if (a + b - c >= t && o) {
                config.interactData.offScroll = true;
                if(config.keyData.loadMore=="true")
                    config.interactData.replyTabClick = true;
                if (!config.interactData.isLast || t == 0) {
                    if (config.keyData.isNovel == "true" && config.keyData.authorUid != "0") {
                        var length = $(".section").length;
                        if ($(document).height() > 10000 && length > 6) {
                            var obj = $($(".section")[0]);
                            var height = obj.height();
                            obj.css("height", height);
                            obj.html("");
                            obj.attr('class', "empty");
                        }
                    }
                    config.keyData.anchorPid = 0;
                    getThreadView(config.keyData);
                }
            }
        }
    }

    $(function () {
        FastClick.attach(document.body);
    });
    var funName = "click";
    $("a").live(funName, function (e) {
        e.preventDefault();
    })
    $("video").live(funName, function (e) {
        e.preventDefault();
    })
    $(".section").live(funName, function (e) {
        
        var t = $(e.target);
        var tt = t.parents("a");
        if (t[0].tagName != "VIDEO") {
            if (($(t[0]).hasClass('J_img') || t[0].tagName == "IMG") && tt.length == 0) {
                imgShow(t);
            } else {
                if (t[0].tagName == "A" || tt.length > 0) {
                    threadLink(t);
                }
            }
        }
        if (!($(t[0]).hasClass('J_clickQ') || t.parents(".J_clickQ").length != 0)) {
            $(".J_operate").remove();
        }
    });

    $(".video_gif").live(funName, function (e) {
        var t = $(e.target);
        imgShow(t);
        e.stopPropagation()
    });

    var oldPosition = "";
    var curPosition = "";
    document.addEventListener("touchstart", function (e) {
        var touch = e.touches[0];
        oldPosition = touch.clientY;
    }, false);
    document.addEventListener("touchmove", function (e) {
        var touch = e.touches[0];
        curPosition = touch.clientY;
        if (oldPosition - curPosition > 0) {
            loadNext("touch");
        } else {
            config.interactData.img_lazy = true;
        }
    }, false);

    //控制楼主层头像显示与否 true  中间的隐藏，false 显示
    function hideTitleContent(type) {
        connectWebViewJavascriptBridge(function (bridge) {
            bridge.hideTitleContent(type);
        })
    }
    var hide = false;
    $(document).on("scroll", function (e) {
        $(".J_operate").remove();
        loadNext("scroll");
        if (config.interactData.img_lazy) {
            var $images = $(".befor_lazy");
            var t = window.pageYOffset;
            var w = window.innerHeight;
            $.each($images, function () {
                var $this = $(this),
                    src = $this.attr("data-src");
                var tt = $this.offset().top;
                if (tt >= t - 500 && tt <= 500 + w + t) {
                    if ($this.hasClass('gif_bg')) {
                        $this.children("img").attr("onload", "resize(event);").attr("src", src);
                    } else {
                        var imgHTML = "<img src=\"" + src + "\" onload=\"resize(event);\">";
                        $this.append(imgHTML);
                    }
                    $this.removeClass("befor_lazy");
                }
            });
            //上划显示占位符高度（定位楼层）
            $.each($(".J_lazyHeight"), function () {
                $(this).addClass("J_autoHeight");
                $(this).removeClass("J_lazyHeight");
            });
        }

        var $images = $(".J_lazy");
        util.loadImg($images);

        var empty = $(".empty");
        if (empty.length > 0) {
            var o = $(empty[empty.length - 1]);
            var h1 = o.offset().top;
            var h2 = o.height();
            var e_h = h1 + h2;
            if (e_h > parseFloat($(window).scrollTop())) {
                $(".empty").remove();
                document.body.scrollTop = 0;
            }
        }
        //滚动显示title楼主头像姓名
        var $window = $(window);
        if (window.pageMode != 'reply') {
            if ($window.scrollTop() >= $(window).height()) {
                if (hide == false) {
                    hide = true;
                    hideTitleContent(true);
                }
            } else if ($window.scrollTop() < $(window).height()) {
                if (hide == true) {
                    hide = false;
                    hideTitleContent(false);
                }
            }
        }
        if ($(".swiper-con").length > 0) {
            var swiperConTop = $(".swiper-con").offset().top;
            var winTop = $window.scrollTop();
            var swiperConheight = $(".swiper-con").height();
            var winHeight = $window.height();
            if (swiperConTop - winTop - swiperConheight < winHeight && swiperConTop - winTop - swiperConheight > 0) {
                connectWebViewJavascriptBridge(function (bridge) {
                    bridge.goToPinfenArea(true);
                });
            } else {
                connectWebViewJavascriptBridge(function (bridge) {
                    bridge.goToPinfenArea(false);
                });
            }
        }

        //$(".swiper-con").live("touchmove",function(e){
        //
        //});

    });
    //$(".noMore p").live(funName, function(event) {
    //    config.keyData.anchorPid = 0;
    //    $(".newFollow").remove();
    //    getThreadView(config.keyData);
    //});
    $(".reload").live(funName, function (event) {
        getThreadView(config.keyData);
    });
    $(".previou a").live(funName, function (e) {
        var page = config.keyData.current_page;
        if (page > 1) {
            config.keyData.anchorPid = 0;
            config.keyData.page = page - 1;
            getThreadView(config.keyData);
        }
    });

    $(".next a").live(funName, function (e) {
        var page = config.keyData.current_page;
        var max = config.keyData.maxPage;
        if (page < max) {
            config.keyData.anchorPid = 0;
            config.keyData.page = page + 1;
            getThreadView(config.keyData);
        }
    });
    $(".p_text").live(funName, function (e) {
        util.bridge("pageJump");
    })
    //加入爱情幸运号
    $(".love-join-button").live(funName, function (e) {
        var ttname = "410077_" + config.keyData.cityName + "_" + config.keyData.fid + "_" + config.keyData.tid;
        util.bridge("getDataCode", JSON.stringify({
            code: ttname
        }));
        var uid = "https://" + config.keyData.domain + "/wap/connect?r=https://" + config.keyData.domain + "/valueApp/loveluckynum/wap/join/1";
        util.bridge("joinLoveClub", uid);
    })
    //跳转到书城
    $(".store").live(funName, function (e) {
        util.bridge("gotoStore");
    })
    //进入分享
    $(".share").live(funName, function (e) {
        util.bridge("toShare");
    });

    //跳转到大家都在看的书籍的内容页
    $(".about").live(funName, function (e) {
        var $this = $(this);
        var rjson = {};
        rjson.fid = $this.attr("fid");
        rjson.domain = $this.attr("domain");
        rjson.tid = $this.attr("tid");
        rjson.puid = $this.attr("author_uid");
        rjson.page = 1;;
        rjson.pid = "0";
        util.bridge("gotoIntroduction", JSON.stringify(rjson));
    })

    //点击用户名和头像
    $(".userLink").live(funName, function (e) {
        var $this = $(this);
        var ttname = $this.attr("data-ttname")
        util.bridge("getDataCode", JSON.stringify({
            code: ttname
        }));
        //商家组别用户点击头像和用户名跳至其服务圈
        var uid = $this.attr("data-uid");
        util.bridge("gotoUser", uid);

    });
    //点击引用回复
    $(".J_replay").live(funName, function (e) {
        var $this = $(this);
        var rjson = {};
        rjson.pid = $this.attr("data-pid");
        rjson.name = $this.attr("data-name");
        util.bridge("recommendReply", JSON.stringify(rjson));

    });
    $(".J_replayAction").live(funName, function (e) {
        if ($(this).attr("data-pid") != "" && $(this).attr("data-pid") != undefined) {
            var $this = $(this);
            var rjson = {};
            rjson.parentPid = $this.attr("data-parentpid");
            rjson.replyPid = $this.attr("data-replypid")
            rjson.pid = $this.attr("data-pid"); //parentPid   replyPid
            rjson.uid = $this.attr("data-uid");
            rjson.username = $this.attr("data-name");
            connectWebViewJavascriptBridge(function (bridge) {
                bridge.replayActionSheet(JSON.stringify(rjson));
            });
        }
    });

    function getRate(rated,$this,tag,nextWorkType){ //nextWorkType 用来区分网络
        if (rated == "true") { //是否点过
            if($this.parent().is(".rate_new") && nextWorkType){
                if(!$this.hasClass("J_oppose")) { //点赞 回调客户端
                    util.bridge("refreshZan",false);
                }
            }
            zanCallback("cancelRate", "true", $this,tag,nextWorkType)
        } else {
            if($this.parent().is(".rate_new") && nextWorkType){ //未点赞反对
                if($this.hasClass("J_oppose")) { //反对  检查点赞状态
                    var silbingNode = $this.parent().parent().siblings(".new-is-zan").find(".operate_btn")
                    if (silbingNode.hasClass("active")) { //点赞选中状态  回调客户端
                        util.bridge("refreshZan", false);
                    }
                }else {
                    util.bridge("refreshZan", true);
                }
            }
            zanCallback("rate", "true", $this,tag,nextWorkType)
        }
    }
    function  errCallback($this,msg,tag) {
        util.bridge("showToast", msg);
        var rated = $this.attr("data-rated");
        if(!config.interactData.isLocked){
            if($this.parent().is(".rate_new")){
                util.bridge("refreshZan",false);
            }
            config.interactData.isLocked = true
            getRate(rated,$this,tag,false)
        }
    }
    function rateAndoppseFn($this, tag) {
        if (config.keyData.uid == 0) {
            wbBridge.bridge("showLoginView");
        } else {
            if (!$this.parents('.rate_oppose').hasClass("locked")) {  //点赞反对父级加锁
                $this.parents('.rate_oppose').addClass("locked");
                //增加本地点赞反对
                var pid = $this.attr("data-pid");
                var rated = $this.attr("data-rated");
                if (!config.interactData.isLocked) {
                    getRate(rated,$this,tag,true)  //本地
                }
                var data = {
                    pid: pid,
                    tid: config.keyData.tid,
                    rateType: 1
                };
                url = "https://" + config.keyData.domain + (util.isBoard() ? "/api/board/rate" : "/api/thread/rate");
                data.prestige = tag;
                data.reason = "来自" + (util.isCq() ? "重庆购物狂" : "19楼") + (util.mobileType() == "ios" ? "iPhone" : "Android") + "客户端";
                getNewApiKey()
                data = $.extend(data, config.apiKey);
                $.ajax({
                    contentType: "application/json",
                    type: "GET",
                    url: url,
                    data: data,
                    dataType: 'jsonp',
                    jsonp: "clientjsonp",
                    success: function (res) {
                        if(config.keyData.isThemeClosed && config.keyData.isThemeClosed === true){
                            util.bridge("showToast", "该帖子已关闭点赞功能");
                            return false
                        }
                        if(config.interactData.isLocked){
                            util.bridge("showToast", "点赞失败");
                            return false
                        }
                        if (res.error == undefined) {
                            config.interactData.isLocked = false;
                            $this.parents('.rate_oppose').removeClass("locked")
                        } else if (res.error == "2060810" || res.error == "2060815") {
                            errCallback($this,"今日点赞已用完",tag)

                        } else if (res.error == "2060803") {
                            errCallback($this,"该帖子已关闭点赞功能",tag)
                            config.keyData.isThemeClosed = true
                        }else {
                            errCallback($this,"点赞失败",tag)
                        }
                        if(!$this.parent().is(".rate_new")){
                            $this.parents('.rate_oppose').removeClass("locked")
                        }
                    },
                    error: function (res) {
                        errCallback($this,"接口错误",tag)
                        if(!$this.parent().is(".rate_new")){
                            $this.parents('.rate_oppose').removeClass("locked")
                        }
                    }
                });
            }
        }
    }
    function FloorRenderSucess(obj,tag,nextWorkType){
        var clickType = tag == 1 ? "0" :"1"
        if(!config.interactData.isLocked){
            config.interactData.isActive = obj.hasClass("active") ? true : false
            var silbingNode =obj.parents(".new-is-zan")
            if(silbingNode.siblings('.new-is-zan').children().children().hasClass("active")){
                config.interactData.isSiblingActive = true
            }
        }
        FloorRender.renderUserList (obj.parent().parent(),nextWorkType,clickType,config.interactData.isActive,config.interactData.isSiblingActive) //赞1
        FloorRender.renderZan(obj,nextWorkType,config.interactData.isActive,config.interactData.isSiblingActive)
    }
    //点赞反对之后的回调
    function zanCallback(type, success, obj,tag,nextWorkType) { //tag 主楼点赞反对标识
	// debugger
        var pid = config.keyData.floorPid
        var oNum = 0,
            msg = "",
            txt = "",
            tips = "";	
        if (obj.parent().is(".rate_new")) { //主楼逻辑操作
            FloorRenderSucess(obj,tag,nextWorkType) //tag 区分点赞反对
        } else {
            obj.parent().siblings(".J_rateT").find("a").removeClass("active");
			if(tag == -1){ obj.parent().siblings(".J_rateT").find("a").removeClass("zan-click-animation");}
            var sibObj = obj.parent().siblings(".J_rateT").find("a")
            var isClick = sibObj.attr("data-rated");
            txt = obj.parent().siblings(".J_rateT").find("i")
            oNum = txt.text()
            var preNum = oNum != 0 ? Number(oNum) : oNum;
            if (preNum > 0 && isClick == "true") {
                preNum = preNum - 1;
                sibObj.attr("data-rated", "false")
            }
            preNum = preNum === 0 ? msg : preNum
            txt.text(preNum)
            $next = obj.next();
            var num = 0;
            if (success == "true") {
                if ($next.text() != "" && !isNaN($next.text())) {
                    num = parseInt($next.text())
                }
                if (type == "rate") {
                    num += 1
                    obj.attr("data-rated", "true");
                    obj.addClass("active");
					if(tag == 1){ obj.addClass("zan-click-animation")}
                } else {
                    num -= 1;
                    obj.removeClass("active");
                    obj.attr("data-rated", "false");
					if(tag == 1){ obj.removeClass("zan-click-animation")}
                }
                if (num <= 0)
                    num = $next.attr("data-txt")
                $next.text(num);
            }
        }
    }



    $(".J_oppose").live("click", function () {
        if (config.keyData.uid == 0) {
            wbBridge.bridge("showLoginView");
        } else {
            var $this = $(this)
            var rated = $this.attr("data-rated");
            if (rated == "false") {
                var ttname = "410325_" + config.keyData.cityName + "_" + config.keyData.fid + "_" + config.keyData.tid;
                util.bridge("getDataCode", JSON.stringify({
                    code: ttname
                }));
            }
            rateAndoppseFn($this, -1)
        }
    })
    $(".J_rate").live("click", function () {
        $('.heart').removeClass("is-active")
        if (config.keyData.uid == 0) {
            wbBridge.bridge("showLoginView");
        } else {
            var $this = $(this)
            var rated = $this.attr("data-rated");
            if (rated == "false") {
                var ttname = "410326_" + config.keyData.cityName + "_" + config.keyData.fid + "_" + config.keyData.tid;
                util.bridge("getDataCode", JSON.stringify({
                    code: ttname
                }));
            }
            rateAndoppseFn($this, 1)
        }
    })

    $(".reprint_user").live(funName, function () {
        //跳转到他家
        var url = $(this).attr("data-href");
        linkAnalysis(url);
    });

    $(".extraMsg").live(funName, function () {
        //跳转到他家
        var shareThreadCityNameFidTid = $(this).attr("data-msg");
        var rJson = {};
        rJson.domain = config.keyData.domain;
        rJson.fid = shareThreadCityNameFidTid.split("_")[1];
        rJson.tid = shareThreadCityNameFidTid.split("_")[2];
        rJson.page = 1;
        rJson.pid = 0;
        util.bridge("threadInJump", rJson);
    });


    //点击管理
    $(".J_manage").live(funName, function (event) {
        var $this = $(this);
        var rjson = {};
        rjson.pid = $this.attr("data-pid");
        rjson.puid = $this.attr("data-puid");
        //        rjson.is_locked = $this.attr("data-locked");
        util.bridge("manageThreadPostByAdmin", JSON.stringify(rjson));
        $(".J_operate").remove();
    });
    //举报回帖
    $(".J_report").live(funName, function (event) {
        var $this = $(this);
        var pid = $this.attr("data-pid");
        util.bridge("reportToReply", pid);
        $(".J_operate").remove();
    });
    //帖子来源
    $(".source").live(funName, function (e) {
        var $this = $(this);
        var rjson = {};
        rjson.forumName = $this.attr("data-name");
        rjson.fid = $this.attr("data-fid");
        rjson.domain = config.keyData.domain;
        if (util.isBoard() && config.keyData.fromInfo) {
            if (config.keyData.fromInfo.board_type == "8") {
                //商家圈
                util.bridge("gotoBusinessCircle", rjson.fid);
            } else if (config.keyData.fromInfo.board_type == "9") {
                //晒图广场
                util.bridge("gotoBlueprintSquare", rjson.fid);
            } else {
                util.bridge("gotoInterestGroupList", rjson.fid);
            }
        } else {
            util.bridge("gotoForum", JSON.stringify(rjson));
        }
    })
    $(".J_clickQ").live(funName, function (e) {
        var $this = $(this);
        if ($this.siblings(".J_operate").length == 0) {
            $(".J_operate").remove();
            showTips.pos.posX = $this.position().left;
            showTips.pos.posY = $this.position().top;
            showTips.operate = ".J_operate";
            showTips.$this = $(this);
            showTips.createTip();
        } else {
            $(".J_operate").remove();
        }
    });

    //点击标签进入相应的兴趣圈
    $(".interest a").live(funName, function (e) {
        var $this = $(this)
        var ttname = $this.attr("data-ttname")
        util.bridge("getDataCode", JSON.stringify({
            code: ttname
        }));
        var rjson = {};
        rjson.tagName = $(this).text();
        if (util.isBoard()) {
            rjson.isInterestGroup = "1"
            util.bridge("gotoInterestGroupTagList", JSON.stringify(rjson));
        } else {
            rjson.isInterestGroup = "0"
            util.bridge("gotoInterestGroupTagList", JSON.stringify(rjson));
        }
    })

    //打赏
    $('.add_zan .zanBox').live(funName, function () {
        var needRenzhen = false;
        connectWebViewJavascriptBridge(function (bridge) {
            try {
                needRenzhen = bridge.awardeNeedRenzhen();
            } catch (e) {}
        });
        if (!$(this).hasClass("go") && !needRenzhen) {
            var actUrl = "https://" + config.keyData.domain + "/api/thread/rate";
            var actUrl01 = "https://" + config.keyData.domain + "/api/board/rate";

            var data = {};
            getNewApiKey()
            data.access_token = config.apiKey.access_token;
            data.tid = config.keyData.tid;
            data.pid = $(this).find(".zan").attr("data-pid");
            data.gold = 1;
            data.reason = "来自19楼android客户端的打赏";
            data = $.extend(data, config.apiKey);
            if (util.isBoard()) {
                actUrl = actUrl01;
                data.bid = $(this).find(".zan").attr("data-fid");
            };
            if (navigator.userAgent.indexOf("cqmmgo") > -1) {
                data.reason = "来自重庆购物狂android客户端的打赏"
            }
            if (config.keyData.uid == 0) {
                util.bridge("showLoginView");
            } else {
                $.ajax({
                    contentType: "application/json",
                    type: "GET",
                    url: actUrl,
                    data: data,
                    dataType: 'jsonp',
                    jsonp: "clientjsonp",
                    success: function (res) {
                        if (res.code == 1) {
                            showTip("感谢土豪又出手！\<\/br\>从你的巨资里扣除1个金币");
                            $('.add_zan .zanBox').addClass('go');
                            $('.add_zan .zanBox .num2').addClass('num');
                            $('.add_zan .zanBox .num2').html('<em>1</em>');
                            setTimeout(function () {
                                $('.add_zan .zanBox .num2').css('z-index', 2);
                            }, 600);
                            setTimeout(function () {
                                $('.add_zan .zanBox .num2').addClass('over');
                                $('.add_zan .zanBox .num2').html('已赏');
                                $('.add_zan .zanBox').addClass("zanBox2")
                                $('.add_zan .zanBox').removeClass('go');
                                $('.add_zan .zanBox .num2').removeClass('num');
                            }, 2500);
                            var num = $('.reword_num').html();
                            $('.reword_num').html(parseInt(num) + 1);
                            var json = {};
                            json.success = true;
                            json.isfav = 231;
                            connectWebViewJavascriptBridge(function (bridge) {
                                bridge.awardedFinish(JSON.stringify(json));
                            });
                        } else {
                            var code = res.error;
                            if (code == 2060702 || code == 2060809) {
                                showTip("已经加过分啦");
                                $('.add_zan .zanBox .zan').html("已赏");
                                $('.add_zan .zanBox .zan').addClass('over');

                            } else if (code == 2060806 || code == 2060810 || code == 2060819) {
                                showTip("金币不足！");
                            } else {
                                showTip("打赏失败！");
                            }
                        }
                    }
                });
            }
        }
    });
    $(".J_attention").live("click", function (e) {
        //$(this).removeClass("J_attention").addClass("attentioned").html("已关注");
        $(this).remove();
        connectWebViewJavascriptBridge(function (bridge) {
            bridge.doAttention();
        });
    });

    function returnAttention() {
        $(".J_attention").remove();
    };
    $(".addr").live("click", function (e) {
        connectWebViewJavascriptBridge(function (bridge) {
            bridge.getAddressData();
        });
    });
    /*体验贴发帖*/
    $(".gotoExp").live(funName, function (e) {
        var rjson = {};
        rjson.isExperienceShare = true;
        rjson.isGroupThread = true;
        rjson.fid = $(this).attr("data-bid");
        rjson.refTid = $(this).attr("data-tid");
        rjson.refBid = $(this).attr("data-bid");
        rjson.domain = config.keyData.domain;
        rjson.forumOrGroupName = $(this).attr("board_name");
        util.bridge("gotoPostThread", JSON.stringify(rjson));
    });
    /*更多体验贴打开*/
    $(".showExpList").live(funName, function (e) {
        var rjson = {};
        rjson.tid = $(this).attr("data-tid");
        rjson.bid = $(this).attr("data-bid");
        connectWebViewJavascriptOpenBridge(function (bridge) {
            bridge.gotoBizExperienceList(JSON.stringify(rjson));
        });
    });

    /*=S 日记清单和阶段 =*/
    //获取每个阶段楼层的区域高度区间
    var stageLen = 0

    function getEachStageSection() {
        var secArr = [],
            _singleStages = $(".J_toStage[data-type='single']"),
            minusHeight = $(".form-message").height();
        stageLen = _singleStages.length
        for (var i = 0; i < stageLen; i++) {
            if (_singleStages.eq(i).parents(".section").length > 0) {
                var offsetT = parseInt(_singleStages.eq(i).parents(".section").offset().top) - minusHeight;
                var offsetTopNext = parseInt(_singleStages.eq(i).parents(".section").height()) + offsetT - minusHeight;
                secArr.push([offsetT, offsetTopNext]);
            }
        }
        return secArr;
    }
    // 本地存储page
    window.onload = function () {
        // replyH=$('.befollow').length>0?$('.befollow').offset().top:0;
        $(window).on("scroll", function () {
            if ($('.liftPid').length > 0) {
                var linkInfo = config.keyData;
                if (config.keyData.isLocalpage) {
                    if (parseInt(linkInfo.current_page) > parseInt(config.keyData.localItem.page)) {
                        tool.setLocalPageInfo(linkInfo)
                    }
                } else {
                    if (parseInt(linkInfo.current_page) >= 2) {
                        tool.setLocalPageInfo(linkInfo)
                    }
                }
            }
        })
        $('.no-read').live(funName, function () {
            var rJson = {};
            rJson.domain = config.keyData.domain;
            rJson.fid = config.keyData.localItem.fid;
            rJson.tid = config.keyData.tid;
            rJson.page = config.keyData.localItem.page;
            rJson.pid = config.keyData.localItem.pid;

            // var data=JSON.parse(window.localStorage.getItem("PAGE_MAP")).data;
            // delete data[rJson.tid];
            // localStorage.setItem("PAGE_MAP",JSON.stringify({data}));
            ttclickAdd("401259");
            util.bridge("threadInJump", rJson);

        })
      //  if(config.keyData.isNewDiary){
            $(window).on("scroll resize",function(){
                var winHeight=$(window).scrollTop()
                $.each($('.newDiary'),function (k,v) {
                    var len=$($('.newDiary')[k]).offset().top
                    if(winHeight>len){
                        $('.stage_fix').html("")
                        var html=$(v).clone()
                        $('.stage_fix').append(html).show();
                    }else {
                        var loftLen=$($('.newDiary')[0]).offset().top;
                        if(winHeight<=loftLen) {
                            $('.stage_fix').hide()
                        }
                    }
                })
            })
       // }
    }
    //new diary清单触发事件
    //清单数据触发事件
    $(".J_toStage").live(funName, function () {
        var param = {},
            _this = $(this);
        var _type = _this.attr("data-type");

        //阶段清单
        if (_type == "single") {
            if (_this.attr("data-hasPrice") == "false") {
                showTip("阶段没有花费哦");
                return false;
            }
        }
        param.fid = _this.attr("data-fid");
        param.tid = _this.attr("data-tid");
        param.pid = _this.attr("data-pid");
        param.type = _type;
        param.domain = config.keyData.domain;
        param.cityName = config.keyData.localCityName;
        if (_this.parent().hasClass("newDiary")) {
            param.title = "花费清单";
            connectWebViewJavascriptBridge(function (bridge) {
                bridge.jumpHtmlFile(param.title, "new_diary_stage_inventory.html", JSON.stringify(param));
            })
        } else {
            //获取当前pid
            param.pid = getCurrentPid();
            param.title = (_type == "single") ? "阶段花费" : "目录与花费";
            param.isLogin = false;
            connectWebViewJavascriptBridge(function (bridge) {
                bridge.jumpHtmlFile(param.title, "diary_stage_inventory.html", JSON.stringify(param));
            })
        }
        return false
    })
    //日记帖电梯点击,获取当前pid  {差值比较}
    function getCurrentPid() {
        var len = $(".J_toStage[data-type='single']").length;
        var ele = $(".J_toStage[data-type='single']");
        var winHeight = $(window).height();
        var scrollHeight = $(window).scrollTop();
        if (len > 0) {
            var pid = $(ele[0]).attr("data-pid");
            var tmp = winHeight + scrollHeight - $(ele[0]).offset().top;
            for (var i = 1; i < len; i++) {
                var topHeight = winHeight + scrollHeight - $(ele[i]).offset().top
                if (topHeight > 0 && topHeight < tmp) {
                    tmp = topHeight;
                    pid = $(ele[i]).attr("data-pid")
                }
            }
            return pid
        }
    }
    /*=S 日记清单和阶段 =*/

    $(".zan-yhq").live(funName, function () {
        getNewApiKey()
        config.yhqData = $.extend(config.yhqData, {
            "access_token": config.apiKey.access_token,
            "tid": config.keyData.tid,
            "fid": config.keyData.fid,
            "id": config.keyData.uid,
            "domain": config.keyData.domain
        });
        config.yhqData = $.extend(config.yhqData, {
            "ticket": 1,
            "ticket_own": 0
        });
        var data = localKey.localTicket || ticketListStore.getItem().data;
        config.yhqData = $.extend(config.yhqData, {
            "ticketlist": data
        });
        connectWebViewJavascriptBridge(function (bridge) {
            bridge.jumpHtmlFile("选择打赏优惠券", "ticket.html", JSON.stringify(config.yhqData))
        });
    });

    $(".ticket_more").live(funName, function () {
        if (config.keyData.appVersion.length > 0 && !(config.keyData.appVersion[0] <= 6 && config.keyData.appVersion[1] < 1)) {
            getNewApiKey()
            config.yhqData = $.extend(config.yhqData, {
                "access_token": config.apiKey.access_token,
                "tid": config.keyData.tid,
                "fid": config.keyData.fid,
                "id": config.keyData.uid
            });
            config.yhqData = $.extend(config.yhqData, {
                "ticket": 0,
                "ticket_own": 1
            });
            var data = localKey.localOwnTicket;
            config.yhqData = $.extend(config.yhqData, {
                "ticketlist": data
            });
            connectWebViewJavascriptBridge(function (bridge) {
                bridge.jumpHtmlFile("优惠券赏单", "ticket.html", JSON.stringify(config.yhqData))
            });
        } else {
            showTip("我们有新版本啦！快去升级吧")
        }


    });
    // $(".ticket .tkby").live("click",function(){    //点击跳转优惠券详情页
    //     connectWebViewJavascriptBridge(function(bridge){
    //         bridge.createWebPage($(this).data('name'), $(this).data('url').replace(/(^\s*)|(\s*$)/g, ""));

    //     });
    // });
    $(".ticket .formuser").live("click", function (event) { //点击跳转用户
        event.stopPropagation();
        var $this = $(this);
        var uid = $this.attr("data-uid");
        util.bridge("gotoUser", uid);
    });

    //打开体验主帖
    $(".J_toExpMainThread").live("click", function () {
        var _this = $(this)
        var rJson = {};
        rJson.domain = _this.attr("data-domain");
        rJson.fid = _this.attr("data-fid");
        rJson.tid = _this.attr("data-tid");
        rJson.page = 1;
        rJson.pid = 0;
        rJson.threadExp = _this.attr("data-threadExp");
        rJson.userHasExp = _this.attr("data-userHasExp");
        rJson.fName = _this.attr("data-fName");
        util.bridge("threadInJump", rJson);
    })

    //体验帖详情
    $(".J_toExpThread").live("click", function () {
        var url = $(this).attr("data-url");
        if (url != undefined) {
            linkAnalysis(url);
        }
    })

    //大家都要看
    $(".seeThread").live("click", function () {
        var url = $(this).attr("data-url");
        if (url != undefined) {
            linkAnalysis(url);
        }
    })
    // adv click
    $('.page_adv a').live('click', function () {
        var _this = $(this)
        var url = _this.attr("data-url");
        if (url != undefined) {
            linkAnalysis(url);
        }
    })

    //添加体验券
    $(".J_addExpCoupon ").live("click", function () {
        var _this = $(this);
        var param = {};
        param.bid = _this.attr("data-bid");
        param.tid = _this.attr("data-tid");
        param.subject = _this.attr("data-title");
        param.shopId = _this.attr("data-shopId");
        param.categoryId = _this.attr("data-categoryId");
        param.parentCategoryId = _this.attr("data-parentCategoryId");
        param.uid = config.keyData.uid;
        param.domain = config.keyData.domain;
        param.cityName = config.keyData.localCityName;
        param.title = "创建体验";
        param.isLogin = true;
        param.threadExp = _this.attr("data-threadExp");
        param.userHasExp = _this.attr("data-userHasExp");
        param.fName = _this.attr("data-fName");
        connectWebViewJavascriptBridge(function (bridge) {
            bridge.jumpHtmlFile(param.title, "experience_coupon_create.html", JSON.stringify(param));
        })
    })
    //商家圈跳转
    $(".J_goBizCircle").live("click", function () {
        var bid = $(this).attr("data-bid");
        var ttname = $(this).attr("data-ttname");
        if (ttname != undefined) {
            ttclickAdd(ttname);
        }
        util.bridge("gotoBusinessCircle", bid);
    })
    //体验按钮点击
    $(".J_expCoupon").live("click", function () {
        var _this = $(this);
        var status = _this.attr("data-status");
        if (_this.hasClass("grayBtn")) {
            return false;
        }

        //未登录，唤起登陆页面
        if (_this.attr("data-uid") == 0) {
            util.bridge("showLoginView");
            return false;
        }

        var itemId = _this.attr("data-actItemId");
        var fr = "bid_" + _this.attr("data-fid") + "_tid_" + _this.attr("data-tid");
        switch (status) {
            //未领取或领取未支付
            case "104":
                var orderId = _this.attr("data-orderId");
                var url = "https://www.19lou.com/wap/connect?r=https://haodian.19lou.com/coupon/apply/wapresult/" + orderId + "?fr=" + fr;
                connectWebViewJavascriptBridge(function (bridge) {
                    bridge.createWebPage("", url.replace(/(^\s*)|(\s*$)/g, ""));
                })
                break;
            case "0":
                var url = "https://www.19lou.com/wap/connect?r=https://haodian.19lou.com/wap/coupon/apply/" + itemId + "?fr=" + fr;
                connectWebViewJavascriptBridge(function (bridge) {
                    bridge.createWebPage("", url.replace(/(^\s*)|(\s*$)/g, ""));
                });
                break;
                //未开始或不可申领状态
            case "100":
            case "101":
            case "102":
            case "103":
            case "-1":
                break;
            default:
                break;
        }
    })

    $(".J_expCouponView").live("click", function () {
        var couponId = $(this).attr("data-id");
        var url = "https://www.19lou.com/wap/connect?r=https://haodian.19lou.com/wap/coupon/view/" + couponId;
        connectWebViewJavascriptBridge(function (bridge) {
            bridge.createWebPage("", url.replace(/(^\s*)|(\s*$)/g, ""));
        });
    })

    //体验帖用户 更多按钮
    $(".J_moreUser").live("click", function () {
        $(".J_expUsers li").show();
        $(this).remove();
    })
    $(".J_at").live(funName, function () {
        //跳转到他家
        var url = $(this).attr("data-href") || $(this).attr("href");
        if (url) {
            linkAnalysis(url)
        }
        return false;
    });
    $('.shop-list-more').live("click", function (e) {
        if (config.keyData.shopList.length > 1) {
            connectWebViewJavascriptBridge(function (bridge) {
                bridge.jumpHtmlFile("提及商家", "businessTagMore.html", JSON.stringify({
                    "shopList": config.keyData.shopList,
                    "tid": config.keyData.tid,
                    channel: channel
                }));
            })
        }
        return false
    })

    $('.shop-item').live("click", function () {
        linkAnalysis($(this).attr("href"));
        return false
    })


    document.body.addEventListener("touchstart", function () {
        $('.new_diaryStage .txt').hide()
        $('.new_diaryStage').addClass("loftAmi")
    })

    //电梯点击事件
    $('.new_diaryStage').live("click", function () {
        var ttname = "401203_" + config.keyData.localCityName + "_" + config.keyData.fid + "_" + config.keyData.tid;
        util.bridge("getDataCode", JSON.stringify({
            code: ttname
        }));
        connectWebViewJavascriptBridge(function (bridge) {
            bridge.hideCommentLabel(true);
            bridge.allowRefresh(false);
        })
        $('.stage-contain').show();
        $('.stage-contain .steplist').addClass("animated")
    })
    //浮层背景点击
    $('.stage-contain .bg').live("click", function () {
        $('.stage-contain').hide();
        connectWebViewJavascriptBridge(function (bridge) {
            bridge.hideCommentLabel(false);
            bridge.allowRefresh(true)
        })
    })
    //单个阶段链接跳转
    $(".stage-contain .J_goPostLi").live("click", function (i) {
        config.keyData.gobalPid = $(this).attr("data-pid");
        $('.left-nav-ul').find("li").removeClass("active")
        $(this).addClass("active")
        setTimeout(function () {
            $('.stage-contain').hide();
        }, 500)
        ttclickAdd($(this).attr("ttname"));
        var postHash = {};
        postHash.fid = $(this).attr("data-fid");
        postHash.tid = $(this).attr("data-tid");
        postHash.anchorPid = $(this).attr("data-pid");
        postHash.page = 1;
        postHash.loadMore = "false";
        postHash.domain = $(this).attr("data-domain");
        diaryRewriteView(JSON.stringify(postHash))
        connectWebViewJavascriptBridge(function (bridge) {
            bridge.hideCommentLabel(false);
            bridge.allowRefresh(true)
        })
        return false
    })
    //单个阶段首个楼层跳转
    $(".stage-contain .J_goFirstPost").live("click", function (i) {
        config.keyData.gobalPid = $(this).attr("data-pid");
        $('.left-nav-ul').find("li").removeClass("active")
        $(this).parent().find(".left-nav-ul2 li").eq(0).addClass("active")
        setTimeout(function () {
            $('.stage-contain').hide();
        }, 2000)
        ttclickAdd($(this).attr("ttname"));
        var postHash = {};
        postHash.fid = $(this).attr("data-fid");
        postHash.tid = $(this).attr("data-tid");
        postHash.anchorPid = $(this).attr("data-pid");
        postHash.page = 1;
        postHash.loadMore = "false";
        postHash.domain = $(this).attr("data-domain");
        diaryRewriteView(JSON.stringify(postHash))
        connectWebViewJavascriptBridge(function (bridge) {
            bridge.hideCommentLabel(false);
            bridge.allowRefresh(true)
        })
        return false
    })
    //电梯导航
    $('.J_goTop').live("click", function () {
        $('.stage-contain').hide()
        var postHash = {};
        postHash.fid = $(this).attr("data-fid");
        postHash.tid = $(this).attr("data-tid");
        postHash.anchorPid = "0";
        postHash.page = 1;
        postHash.loadMore = "false";
        postHash.domain = $(this).attr("data-domain");
        diaryRewriteView(JSON.stringify(postHash))
        connectWebViewJavascriptBridge(function (bridge) {
            bridge.hideCommentLabel(false);
            bridge.allowRefresh(true)
        })
    })
    //查看原帖
    $('.readAll').live("click", function () {
        var tid = $(this).attr("data-tid");
        config.keyData.item_count = 0; //最后页条数
        // ttclickAdd(tool.getCityNameByDomain(config.keyData.domain)+"_app_tz_diary_ckyt_"+tid)
        var ttname = "410021_" + config.keyData.localCityName + "_" + config.keyData.fid + "_" + config.keyData.tid;
        util.bridge("getDataCode", JSON.stringify({
            code: ttname
        }));
        connectWebViewJavascriptBridge(function (bridge) {
            bridge.getAllThreadView('true');
        })
    })
    //查看阶段
    $('.readStage').live("click", function () {
        var tid = $(this).attr("data-tid");
        config.keyData.item_count = 0; //最后页条数
        // ttclickAdd(tool.getCityNameByDomain(config.keyData.domain)+"_app_tz_diary_ckyt_"+tid)
        var ttname = "410021_" + config.keyData.localCityName + "_" + config.keyData.fid + "_" + config.keyData.tid;
        util.bridge("getDataCode", JSON.stringify({
            code: ttname
        }));
        connectWebViewJavascriptBridge(function (bridge) {
          bridge.getAllThreadView('false');
        })
    })
    //new  首图
    $('#topImg img').live("click", function () {
        tid = $(this).attr("data-tid")
        ttclickAdd(tool.getCityNameByDomain(config.keyData.domain) + "_app_tz_diary_cover_" + tid)
        var ev = $(this),
            rjson = {}
        rjson.img_list = [ev.context.currentSrc.replace("http://", "https://")];
        rjson.current_img = ev.context.currentSrc.replace("http://", "https://");
        rjson.width = ev.width();
        rjson.height = ev.height();
        rjson.img_alt = [];
        rjson.pid = 1;
        rjson.left = ev.offset().left - $(window).scrollLeft();
        rjson.top = ev.offset().top - $(window).scrollTop();
        util.bridge("showPhotoes", JSON.stringify(rjson));
        return false
    })


    function ev(e) {
        e.preventDefault();
    }
    var replySelect = {
        showContorl: function () {
            // $('.mask').show();
            // $('.reply-tab-list').show();
            document.body.addEventListener('touchmove', ev, {
                passive: false
            });
        },
        hideContorl: function () {
            // $('.mask').hide();
            // $('.reply-tab-list').hide();
            document.body.removeEventListener('touchmove', ev, {
                passive: false
            });
        }
    }

    function getRender() {
        var _top = $('#replyContian').offset().top - 40
        if($('.noData').length > 0){
            var _minHeight = $(".noData").height()
            $('.noData').css('min-height',_minHeight + 'px'); 
            $('.noData').html("");
        }else{
            var _minHeight = $('#replyContian').height() + $(".loading").outerHeight(true)
            $('#replyContian').css('min-height',_minHeight + 'px');        
            $('#replyContian').html("");
            $('.loading').remove();
            $('.seeMod').remove();
            config.keyData.canshow = true
        }
        //加载切换loading
        $("#replyContian").html('<div class="tab-wrap-loading"><p>加载中.....</p></div>')
        if($(window).scrollTop() > _top)
            $(window).scrollTop(_top);  
        else 
            $('html,body').animate({scrollTop:_top},100);
    }

    $('.mask').live("click", function () {
        replySelect.hideContorl()
    })
    $('.reply-tab-wrap li').live("click", function () {
        var _this = $(this);
        var text = _this.attr("data-text");
        var type = _this.attr("data-type");
        _this.siblings("li").removeClass("active");
        _this.addClass("active");
        $(".reply-tab").find("span").text(text);
        getRender();
        util.tabInit(type);
        getThreadView(config.keyData);
    });
    var showVerify = function (verify) {
        var v = verify;
        if (v == 1) {
            v = "dricon1";
        } else if (v == 2) {
            v = "dricon2";
        } else if (v == 3) {
            v = "dricon3";
        } else {
            v = null;
        }
        return v;
    }

    function setFont(param) {
        switch (config.keyData.fontSize) {
            case "s":
                param.fontSize = "15px";
                param.lineHight = "0.48rem";
                param.fontSize_H = "18px";
                param.lineHight_H = "0.48rem";
                param.replyfontSize = "14px";
                param.replylineHight = ".48rem";
                break;
            case "m":
                param.fontSize = "17px";
                param.lineHight = "0.48rem";
                param.fontSize_H = "20px";
                param.lineHight_H = "0.48rem";
                param.replyfontSize = "15px";
                param.replylineHight = ".48rem";
                break;
            case "l":
                param.fontSize = "19px";
                param.lineHight = "0.58rem";
                param.fontSize_H = "22px";
                param.lineHight_H = "0.58rem";
                param.replyfontSize = "18px";
                param.replylineHight = ".58rem";
                break;
        }
        return param;
    }
    function shield(s){
        if(['-9','-101'].indexOf(s) > -1)
            return [true,'<p class="warn_p">该内容被屏蔽<a href="https://www.19lou.com/wap/forum-464900-thread-3101366860364395-1-1.html#9401366871710795">（为什么）</a></p>']
        else if(['-102'].indexOf(s) > -1)
            return [true,'<p class="warn_p">正在发布中</p>']
        else
            return [false]
    }
    function createSecondRely(parentPid, fid, list, index) {
        var items = list;
        var tmp = "";
        var secondReply = ""
        var objectIds = [];
        var objectIdList = new Array();
        for (i = index; i < items.length; i++) {
            var param = items[i];
            param.message = tool.emoji(param.message);
            param.message = tool.html_encode(param.message);
            param.message = tool.video2gif(param.message);
            param.parentPid = parentPid;
            param.floor = param.floor != "0" ? param.floor : ""
            param.atShow = (param.reply_user_name != undefined && param.reply_user_name != "") ? true : false
            param.author_gender = param.author_object.gender || 'unknow';
            param.author_gid = param.author_object.gid || '0'
            param.isOriginalPoster = param.author_uid == config.yhqData.uid
            param.hasSpecialUser = tool.hasSpecialUserGroup(param.author_gid);
            param.renderUserName = tool.renderUserName
            if(param.hasSpecialUser){
                param.specialUserStr = tool.getSpecialUserType(param.author_gid);
                param.sepcialParentsClass = tool.getSpecialUserClassStr(param.specialUserStr)
            }
            if (param.tid != "0") {
                if (param.status == "0" || param.status == "-2" || shield(param.status)[0]) {
                    if(param.status == "-2" && param.message == ""){
                        param.message = "正在发布中";
                    }else if(shield(param.status)[0]){
                        param.message = shield(param.status)[1]
                        param.shield = true
                    }else {
                        //quote 分离
                        var m_q = tool.getQuote(param.message);
                        var quote = tool.formatQuote(m_q[1]);
                        param.message = m_q[0];
                        param.message = tool.filter(param.message);
                        if (config.keyData.isNovel == "false") {
                            param.message = tool.imgLazy(param.message, 2);
                            param.message = quote + param.message;
                        } else {
                            param.message = tool.imgLazy(param.message, 3);
                        }
                    }
                    if (config.keyData.isNovel == "false") {
                        param.attachments = tool.attachmentsFilter(param.attachments_images, 6,param.status);
                        param.created_at = tool.formatTime(param.created_at);
                        param.verify = param.verify != undefined ? param.verify : param.author_object.verify
                        param.isOpposeShow = config.interactData.canNegative
                        if (param.author_object.medals) {
                            param.medals = param.author_object.medals
                        }

                        param.group_rank = param.author_object.group.rank
                        if (param.group_rank == 0)
                            param.group_rank = false
                        param.avatar = param.author_object.avatar_url || param.author_object.avatar
                        param.showVerify = showVerify(param.verify);
                        setFont(param)
                        tmp = config.templet.tpl().secondFllow.join("");
                    }
                    //渲染点赞列表
                    objectIds.push(config.keyData.tid + "_" + param.pid);
                    objectIdList.push(param.pid);
                    param.paramReplaceHttps = tool.paramReplaceHttps;
                    secondReply += Mustache.render(tmp, param);
                    // fun.create(tpl,param,rid,"1");
                }
            }
            if (i == items.length - 1) {
                getListFn.getCount(objectIdList, objectIds, false);
                getListFn.getCount(objectIdList, objectIds, true);
            }
        }
        fid.append(secondReply)
    }
    // add 点击加载更多
    $('.second-more').live("click", function () {
        var _this = $(this);
        var parentPid = _this.parent().attr("data-pid")
        var parentFloor = _this.siblings('.second-fllow-contain')
        var page = _this.attr("data-page")
        var pas = {};
        var count = _this.attr("data-count"); //_this.find("em").text()
        var perPage = 15
        pas.fid = config.keyData.fid;
        pas.tid = config.keyData.tid;
        pas.bid = config.keyData.fid;
        pas.page = page;
        pas.perPage = perPage;
        pas.pid = _this.parent(".liftPid").attr("data-pid");
        getNewApiKey()
        pas = $.extend(pas, config.apiKey);
        var url = "https://" + config.keyData.domain + "/api/app/getSecondPostList"
        if (util.isBoard())
            url = "https://" + config.keyData.domain + "/api/app/getBoardSecondPostList"
        try {
            $.ajax({
                contentType: "application/json",
                type: "GET",
                url: url,
                data: pas,
                dataType: 'jsonp',
                jsonp: "clientjsonp",
                success: function (res) {
                    if (res.message == "SUCCESS") {
                        var pageInfo = res.page_info;
                        var secondPostIndex =  _this.attr("data-second-post-index")
                        if (parseInt(pageInfo.max_page) > parseInt(pageInfo.current_page)) {
                            _this.attr("data-page", page + 1)
                            var count = parseInt(pageInfo.count) - parseInt(pageInfo.per_page) * parseInt(pageInfo.current_page)
                            _this.attr("data-count", count);
                            _this.find("em").html(count)
                        } else {
                            _this.hide();
                        }

                        if (page == 1) {
                            createSecondRely(parentPid, parentFloor, pageInfo.items, secondPostIndex);
                        } else {
                            createSecondRely(parentPid, parentFloor, pageInfo.items, 0);
                        }
                    }
                },
                error: function (e) {

                }
            });
        } catch (e) {

        }
    })
    //双击点赞
    var doubleIndex = 0;
    $(".lift-main").live("touchstart", function (e) {
        if(e.originalEvent.touches.length>1){
            return
        }
        if (config.keyData.uid == 0)
            return
        var _this = $(this)
        if (_this.parent().is('.diaryContent')) return;
        doubleIndex++;
        setTimeout(function () {
            doubleIndex = 0;
        }, 500);
        if (doubleIndex > 1) {
            if ($('.zan-list .J_ratezan').attr("data-rated") == "true") {
                util.bridge("showToast", "已点赞");
                doubleIndex = 0;
                return
            } else {
                _this.addClass("locked");
                var pid = _this.attr("data-pid");
                var data = {
                    pid: pid,
                    tid: config.keyData.tid,
                    rateType: 1,
                    prestige: 1
                };
                url = "https://" + config.keyData.domain + (util.isBoard() ? "/api/board/rate" : "/api/thread/rate");
                data.reason = "来自" + (util.isCq() ? "重庆购物狂" : "19楼") + (util.mobileType() == "ios" ? "iPhone" : "Android") + "客户端";
                getNewApiKey()
                data = $.extend(data, config.apiKey);
                $.ajax({
                    contentType: "application/json",
                    type: "GET",
                    url: url,
                    data: data,
                    dataType: 'jsonp',
                    jsonp: "clientjsonp",
                    success: function (res) {
                        if (res.error == undefined) {
                            var likeData = '点赞成功'
                            if(config.keyData.likeData && config.keyData.likeData.length !== 0){
                              var likeDataArray = config.keyData.likeData.split(',')
                              likeData = likeDataArray[Math.floor(Math.random()*likeDataArray.length)]
                            }
                            $('.heart').show()
                            util.bridge("refreshZan",true);
                            setTimeout(function () {
                              $('.heart').addClass("is-active")
                            },400)
                            setTimeout(function () {
                              util.bridge("showToast",likeData);
                            },600)
                            setTimeout(function () {
                              $('.heart').hide()
                              $('.heart').removeClass("is-active")
                            },2000)
                            getListFn.getCount([pid], [config.keyData.tid + "_" + pid]);
                            getZanOppose(pid);
                            try{
                                ttclickAdd('410431_'+config.keyData.fid+'_'+config.keyData.tid)
                            }catch (e){}
                        } else if (res.error == "2060810" || res.error == "2060815") {
                            wbBridge.bridge("showToast", "今日点赞已用完");
                        } else if (res.error == "2060803") {
                            wbBridge.bridge("showToast", "该帖子已关闭点赞功能");
                            config.keyData.isThemeClosed = true
                        }else {
                            wbBridge.bridge("showToast", "点赞失败");
                        }
                    },
                    error: function (res) {
                        wbBridge.bridge("showToast", "接口错误");
                        _this.removeClass("locked")
                    }
                });
            }
            doubleIndex = 0;
        }
    })
    $(".lift-main").live("touchmove", function () {
        doubleIndex = 0
    })
    //赞列表跳他家
    $(".goUserLink").live("click", function () {
        var $this = $(this)
        var uid = $this.attr("data-uid");
        var ttname = "410334_" + config.keyData.fid + "_" + config.keyData.tid + "_" + uid;
        util.bridge("getDataCode", JSON.stringify({
            code: ttname
        }));
        util.bridge("gotoUser", uid);
    })
    $('.reply em').live("click", function (e) {
        var $this = $(this)
        var uid = $this.attr("data-uid");
        util.bridge("gotoUser", uid);
        e.stopPropagation()
    })
    //跳赞、反对列表
    $(".goUserList").live("click", function () { //bid,tid,pid,type
        var _this = $(this),
            rjson = {};
        rjson.pid = config.keyData.floorPid;
        rjson.tid = config.keyData.tid;
        rjson.bid = config.keyData.fid;
        rjson.type = _this.attr("data-type") == "0" ? "0" : "1";
        var ttname = "410333_" + config.keyData.fid + "_" + config.keyData.tid;
        util.bridge("getDataCode", JSON.stringify({
            code: ttname
        }));
        util.bridge("gotoLouCircleZan", JSON.stringify(rjson));
    })
    $(".click-more").live("click", function () {
        var rjson = {
            type: 'second',
            param: {
                id: $(this).attr("data-setid")
                // id:"house"
            }
        }
        // console.log(JSON.stringify(rjson))
        util.bridge("gotoLocalPage", JSON.stringify(rjson));
    })

    $(".quote_open").live("click", function (e) {
        // 展开
        $(this).parents('.last_quote').hide()
        $(this).parents('.last_quote').next('.all_quote').show()

        var h = $(this).parents('.last_quote').next('.all_quote').find('.quote_close').offset().top
        var windowHeight = $(window).height();
        $(window).scrollTop(h - windowHeight + 120)
        e.stopPropagation()
    })
    $(".quote_close").live("click", function (e) {
        // 收起
        $(this).parents('.all_quote').hide()
        $(this).parents('.all_quote').prev('.last_quote').show()

        var windowHeight = $(window).height();
        var h = $(this).parents('.all_quote').prev('.last_quote').find('.quote_open').offset().top
        $(window).scrollTop(h - windowHeight + 120)
        e.stopPropagation()
    })

    function gotoThread() {
        // alert(1)
        var r_json = {}
        r_json.domain = config.keyData.domain
        r_json.tid = config.keyData.tid
        r_json.page = 1
        r_json.pid = 0
        r_json.fid = config.keyData.fid
        connectWebViewJavascriptBridge(function (bridge) {
            bridge.threadInJump(JSON.stringify(r_json));
        });
    }
    $('.look_all').live("click", gotoThread)


    $(".good_replyAction").live("click", function () {
        var r_json = {}
        r_json.domain = config.keyData.domain
        r_json.tid = config.keyData.tid
        r_json.page = 1
        r_json.pid = $(this).attr("data-pid")
        r_json.fid = config.keyData.fid
        connectWebViewJavascriptBridge(function (bridge) {
            bridge.threadInJump(JSON.stringify(r_json));
        });
    })

    $(".xzClick").live("click", function () {
        //勋章9.0开始支持显示
        var r_json = {}
        r_json.userId = $(this).attr("data-uid")
        if(navigator.userAgent.indexOf("cqmmgo") >-1 || parseInt(config.keyData.appVersion.join('')) > 900){
            //重庆9.0，杭州9.0.1已修复，不需要传cityname
            r_json.cityName = '';
        }else
            r_json.cityName = config.keyData.localCityName;
        connectWebViewJavascriptBridge(function (bridge) {
            bridge.goToUserMedal(JSON.stringify(r_json))
        });
    })
    $(".tj-shop-a").live("click", function () {
        var url = $(this).attr("data-url")
        connectWebViewJavascriptBridge(function (bridge) {
            bridge.createWebPage("", url.replace(/(^\s*)|(\s*$)/g, ""));
        });
    })
    //点击评论 弹窗
    $(".comment").live("click",function (e) {
        if(e.target.nodeName !== 'VIDEO' && e.target.nodeName !== 'A'){
            //如果是图片表情
            if(e.target.nodeName === 'IMG'){
                if($(e.target).parent().hasClass('custom-emoji') ){
                    recommendReplyFn($(this).parent().next().find('.J_replayAction'))
                }
            }else {
                recommendReplyFn($(this).parent().next().find('.J_replayAction'))
            }
        }else {
            return
        }
    })

    function recommendReplyFn(J_replayAction) {
        if (J_replayAction.attr("data-pid") != "" && J_replayAction.attr("data-pid") != undefined) {
            var $this = J_replayAction;
            var rjson = {};
            rjson.parentPid = $this.attr("data-parentpid");
            rjson.replyPid = $this.attr("data-replypid")
            rjson.pid = $this.attr("data-pid");
            rjson.uid = $this.attr("data-uid");
            var appVersionNum=''+config.keyData.appVersion[0]+config.keyData.appVersion[1]+config.keyData.appVersion[2]
            if(config.keyData.appVersion.length >0 && parseInt(appVersionNum)>=902){
                rjson.username = $this.attr("data-name");
            }else {
                rjson.name = $this.attr("data-name");
            }
            connectWebViewJavascriptBridge(function (bridge) {
                bridge.recommendReply(JSON.stringify(rjson));
            });
        }
    }

    // $(".seeHead").live("click", function () {
    //     var arg ={
    //         fid: "988",
    //         tid: "87831586855803228",
    //         domain:"www.19lou.com",//s6.19louimg.cn
    //         page:2,
    //         uid:"100", //43138623
    //         authorUid:"0", //
    //         anchorPid:"44681583507021054", //
    //         hasImg:"true",
    //         isNight:"false",
    //         from:"normal",
    //         isNovel:"false",
    //         fontSize:"m",//字体大小设置：s(小),m(中),l(大)
    //         pageMode:"scroll", //翻页模式：scroll(上拉加载),press(翻页)
    //         loadMore:"false",
    //         perPage:"1",
    //         isDiaryAll:"false",
    //         "isNewDiary":"true",
    //         "isMarry":"false",
    //         isPic:"false"
    //     };
    //     // var arg={"anchorPid":"44681583507021054","isNovel":"false","localCityName":"hangzhou","uid":"28594190","fid":"130","cityName":"hangzhou","isDiaryAll":"false","domain":"www.19lou.com","isNight":"false","from":"normal","loadNextThread":"false","loadMore":"false","pageMode":"scroll","hasImg":"true","page":"1","fontSize":"m","tid":"61051587361088568","authorUid":"0","isPic":"false"}
    //     debugger
    //     getThreadView(arg);
    // })
    // $(".aa").live("click", function () {

    //     getFloorZanOppose(63061583332532914,63181583332532927,false)

    // })

    // 广告关闭按钮点击事件
    $(".ad-close").live("click", function (e) {
        $(this).parents(".broadCast").html("")
        e.preventDefault();
        return false
    })

})(jQuery)
