/**
 * @Description: App.webView.js 客户端数据解析，页面生成
 * @Version:     v1.0
 * @Author:      ZhuYiMiao
 * @date:        2014.03.20
 */
/**
 *@param {obj} options: data(json),owner,statue,type
 **/

getWebView = function(options){
    var ua = navigator.userAgent;
    var r = ua.match(/nineteenlou\/([0-9]+)\.([0-9]+)\.*([0-9]*)/);
    if(r != null){
        config.keyData.appVersion[0] = parseInt(r[1]);
        config.keyData.appVersion[1] = parseInt(r[2]);
        config.keyData.appVersion[2] = parseInt(r[3]);
    }
    if(config.keyData.appVersion.length > 0 && config.keyData.appVersion[0] >= 8){
        // if(config.keyData.appVersion.length < 1){
        var view = {};
        view.version = "1.0";
        view._data = {
            conf:{
                data : "",
                owner : true, /*1:首页;2:第二页；>2:跟帖*/
                jid : "views",
                mid : "mainView",
                rid:"replyContian",
                message : "加载中",
                status : "0", /*0:加载中;1:加载成功;2：加载失败*;3:没有更多,4:权限判断*/
                type : "0" ,/*0:刷新；1：插入*/
                isNightMode:false /*夜间模式*/
            },
            tpl:config.templet.tpl(),
            diaryTpl:config.templet.diaryTpl(),
            publish:{}
        };
        view._util = {};
        view._fun= {};

        (function(d,util){
            util._shield = function(s){
                if(['-9','-101'].indexOf(s) > -1)
                    return [true,'<p class="warn_p">该内容被屏蔽<a href="https://www.19lou.com/wap/forum-464900-thread-3101366860364395-1-1.html#9401366871710795">（为什么）</a></p>']
                else if(['-102'].indexOf(s) > -1)
                    return [true,'<p class="warn_p">正在发布中</p>']
                else
                    return [false]
            },
            util._toBoolean = function(s){
                s = (s != undefined) ? s : this.toString();
                if(s==="false"||s===0){
                    return false;
                }else if(s==="true"||s===1){
                    return true;
                }else{
                    return s;
                }
            }
            util.isBoard=function(){
                if(config.keyData.fid.toString().length < 8){return false;}else{return true;}
            }
            util.getHash = function() {
                return $.extend(d.conf, options);
            }
            util.$ = function(em){
                return $("#" + em)
            };
            util._isArray = function(obj) {
                return Object.prototype.toString.call(obj).toLowerCase() === '[object array]';
            }
            util._isObj = function(obj) {
                return Object.prototype.toString.call(obj).toLowerCase() === '[object object]';
            }
            util.getPublishConf = function(key){
                if(typeof (d.publish[key]) == "undefined"){
                    connectWebViewJavascriptBridge(function(bridge){
                        if(bridge.getConfigDataJsonReturn != undefined){
                            d.publish[key] = JSON.parse(bridge.getConfigDataJsonReturn(key)).config;
                        }
                    });
                }
                return d.publish[key];
            }
            util = $.extend(util,tool);
        })(view._data,view._util);

        (function(d,util,fun){
            var hash = util.getHash();//extend d.conf, options
            var view_data = hash.data;
            var owner = hash.owner;
            var type = hash.type;
            var status = hash.status;
            var jid = hash.jid;
            var mid = hash.mid;
            var rid=hash.rid;
            var message = hash.message;
            var isNightMode = util._toBoolean(hash.isNightMode);
            //new 区分日记帖
            var isDiary,isDiaryAll;
            var appVersionNum=''+config.keyData.appVersion[0]+config.keyData.appVersion[1]
            if(config.keyData.appVersion.length >0 && parseInt(appVersionNum)>=88){
                if( config.newDiaryHeaderInfo!=undefined){
                    isDiary=true
                    if(util._toBoolean(config.keyData.isDiaryAll))
                        isDiaryAll = true
                    config.keyData.isNewDiary=true
                }else{
                    isDiary=false
                }
            }
            /**
             * 楼主
             * @param  {Object} list
             */
            fun.createMain = function(list){
                var items = list;
                var authorUid = "0";
                if(util._isArray(items) && items.length > 0){
                    var param = items[0];
                    if(param.group_rank == 0)
                        param.group_rank = false
                    param.isOpposeShow=config.interactData.canNegative;
                    //new 勋章字段
                    param.medalList=new Array()
                    if(param.medals !=undefined && param.medals.length>0){
                        param.medals.forEach(function (i,k) {
                            param.medalList.push(i.color_icon_url)
                        })
                    }
                    var checkSubject = true;//是否需要与正文匹配
                    authorUid=param.author_uid;
                    param.isOpposeShow=config.interactData.canNegative
                    param.subject = util.emoji(param.subject);
                    param.subject = util.html_encode(param.subject);
                    param.message = util.emoji(param.message);
                    param.message = util.html_encode(param.message);
                    param.message=util.video2gif(param.message);
                    param.author_gender = param.author_gender || 'unknow';
                    param.author_gid = param.author_gid || '0'
                    param.hasSpecialUser = util.hasSpecialUserGroup(param.author_gid);
                    param.renderUserName = tool.renderUserName
                    if(param.hasSpecialUser){
                        param.specialUserStr = util.getSpecialUserType(param.author_gid);
                        param.sepcialParentsClass = util.getSpecialUserClassStr(param.specialUserStr)
                    }
                    param.cityName=config.keyData.localCityName;
                    config.keyData.floorPid=param.pid;
                    param.floor = "楼主";
                    config.keyData.good_reply=param.good_reply;
                    var subject = param.subject;
                    var tpl = "";
                    if(param.thread_tags != "" && param.thread_tags){
                        param.threadTags = true;
                        param.thread_tag = param.thread_tags.slice(0, 4)
                    }
                    if (util.isBoard()) {
                        if(param.board_type==undefined){
                            param.board_type = "7";
                        }
                        if (param.is_pic_show) {
                            param.board_type = "9";
                        }
                    } else {
                        param.board_type = "-1"
                    }
                    if(param.status != "0"){//帖子屏蔽
                        param.message = "";
                        param.subject = "该帖子被屏蔽";
                        param.created_at = util.formatTime(param.created_at);
                        param.updated_at = util.formatTime1(param.updated_at);
                        //new 主楼信息
                        if(isDiary){
                            tpl = d.diaryTpl.main.join("")
                        }else {
                            tpl = d.tpl.main.join("");
                        }
                    }else {//处理数据
                        param.message = util.filter(param.message);
                        if(param.extra!==undefined && param.extra!=""){
                            param.extraMsg = JSON.parse(param.extra);
                            if(param.extraMsg.shareThreadAuthorUidUserName!=undefined && param.extraMsg.shareThreadAuthorUidUserName!=""){
                                param.extraMsg.uid = param.extraMsg.shareThreadAuthorUidUserName.split("_")[0];
                                param.extraMsg.username = param.extraMsg.shareThreadAuthorUidUserName.split("_")[1];
                            }
                            if(param.extraMsg.shareThreadCityNameFidTid!="" && param.extraMsg.shareThreadCityNameFidTid!=undefined){
                                if(param.extraMsg.shareThreadImageUrls!=""){
                                    var imageUrls =param.extraMsg.shareThreadImageUrls.split(",");
                                    param.extraMsg.imageUrls=[];
                                    var lt = imageUrls.length>9?9:imageUrls.length;
                                    for(var i=0;i<lt;i++){
                                        param.extraMsg.imageUrls.push(imageUrls[i])
                                    }
                                }
                            }else{
                                param.extraMsg = "";
                            }
                        }
                        param.showVerify = fun.showVerify(param.verify);
                        param.created_at = util.formatTime(param.created_at);
                        param.updated_at = util.formatTime1(param.updated_at);
                        param.views = util.postViews(param.views);
                        param.isDiaryAll = isDiaryAll
                        //判断原创 热帖 精华
                        if(param.hot && param.hot === '1'){
                            param.hot = true
                        }else {
                            param.hot = false
                        }
                        if(param.digest_level && Number(param.digest_level)>0){
                            param.digest_level = true
                        }else {
                            param.digest_level = false
                        }
                        if(config.keyData.isNovel == "false"){
                            if(!util.isBoard())param.hasBroadCast = true;
                            param.message = util.imgLazy(param.message,1);
                            param.attachments = util.attachmentsFilter(param.attachments,1,param.status);
                            if(config.keyData.fid.toString() == "69" || config.keyData.fid.toString() == "464884"){
                                param.complain = true;
                            }
                            //new 主楼信息
                            if(isDiary){
                                var res=config.newDiaryHeaderInfo;
                                var shop_info={};//
                                var cover_img=res.cover_img.replace("120x120","400x400")
                                shop_info.cover_img=cover_img
                                shop_info.design_name=res.design_name
                                shop_info.title=res.title
                                shop_info.isLink=false
                                shop_info.isDesignLink=false
                                shop_info.isTitleShow=false
                                shop_info.isDetailShow=false
                                shop_info.isOtherInfoShow=false
                                shop_info.isDesignShow=false
                                if(res.category_id=="16"){//家居
                                    param.isMarry=config.keyData.isMarry
                                    if(res.decoration_name!=""){
                                        shop_info.isTitleShow=true
                                        shop_info.title_name="装修公司"
                                        shop_info.title_name_info=res.decoration_name
                                    }
                                    if(res.house_name!=""){
                                        shop_info.isDetailShow=true
                                        shop_info.detail="楼盘名称"
                                        shop_info.detail_info=res.house_name
                                    }
                                    if(res.design_name!=""){
                                        shop_info.isDesignShow=true
                                        shop_info.design_name=res.design_name
                                    }
                                    var tpl="",area='',budget='';
                                    res.area!=''?area=res.area+'方':void(0)
                                    res.budget!=""?budget=res.budget+'万':void(0)
                                    tpl+=area+'/'+budget
                                    if(res.decoration_type !=undefined){
                                        for(var i=0;i<res.decoration_type.length;i++){
                                            tpl+='/'+res.decoration_type[i]
                                        }
                                    }
                                    if(res.house_type !=undefined){
                                        for(var i=0;i<res.house_type.length;i++){
                                            tpl+='/'+res.house_type[i]
                                        }
                                    }
                                    if(res.style!=undefined){
                                        for(var i=0;i<res.style.length;i++){
                                            tpl+='/'+res.style[i]
                                        }
                                    }
                                    if(res.circle_bid!=undefined && res.circle_bid!="0"){
                                        shop_info.href="https://"+config.keyData.domain+"/board-"+res.circle_bid+"-1.html";
                                        shop_info.isLink=true
                                        shop_info.ttname=tool.getCityNameByDomain(config.keyData.domain)+"_app_tz_diary_"+res.circle_bid+"_3"
                                    }else {
                                        shop_info.href="javascript:;";
                                        shop_info.ttname=tool.getCityNameByDomain(config.keyData.domain)+"_app_tz_diary_"+res.circle_bid+"_3"
                                    }
                                    if(res.design_circle_bid!=undefined && res.design_circle_bid!="0"){
                                        shop_info.ttname1=tool.getCityNameByDomain(config.keyData.domain)+"_app_tz_diary_"+res.design_circle_bid+"_2"
                                        shop_info.design_href="https://"+config.keyData.domain+"/board-"+res.design_circle_bid+"-1.html";
                                        shop_info.isDesignLink=true
                                    }else {
                                        shop_info.ttname1=tool.getCityNameByDomain(config.keyData.domain)+"_app_tz_diary_"+res.design_circle_bid+"_2"
                                        shop_info.design_href="javascript:;";
                                    }
                                    tplHtml=tpl.replace(/\//g,"")
                                    if(tplHtml!=''){
                                        shop_info.isOtherInfoShow=true
                                        tpl=tpl.replace("//","")
                                        shop_info.other_info=tpl;
                                    }
                                }else if(res.category_id=="1"){//婚庆
                                    config.keyData.isMarry=true
                                    param.isMarry=config.keyData.isMarry
                                    if(res.marry_date!=""){
                                        shop_info.isTitleShow=true
                                        shop_info.title_name="婚期"
                                        shop_info.href="javascript:;";
                                        shop_info.title_name_info=res.marry_date
                                    }
                                    if(res.budget!=""){
                                        shop_info.isDetailShow=true
                                        shop_info.detail="预算"
                                        shop_info.detail_info=+res.budget+'万'
                                    }
                                    if(res.marry_num!=''){
                                        shop_info.isOtherInfoShow=true
                                        shop_info.other_info="婚礼场次"+res.marry_num
                                    }

                                }
                                param.shop_info=shop_info;
                                tpl = d.diaryTpl.main.join("")
                            }else {
                                tpl = d.tpl.main.join("");
                            }
                            if(config.keyData.from == "image"){
                                param.image = true;
                            }
                            //结构化帖子
                            if(util._isArray(param.structure) && param.structure.length > 0){
                                var html = fun.createStructure(param.structure,param.structure_status);
                                param.message = html;
                                checkSubject = false;
                                if(param.structure_status == "1"){
                                    param.subject += "（作废）"
                                }
                            }
                        }else{
                            //番外小说
                            param.hasBroadCast = false;
                            param.message = util.imgLazy(param.message,3);
                            param.attachments = util.attachmentsFilter(param.attachments,3,param.status);
                            tpl = d.tpl.fanwaimain.join("");
                        }
                        var sSubject = subject.toString().substring(0,6);
                        var sMessage = param.message_text.substring(0,6);
                        // if(sMessage.indexOf(sSubject) > -1 && checkSubject){
                        //     param.subject = "";
                        // }
                    }
                    // 日/夜间模式
                    if(isNightMode || config.keyData.isNovel == "true"){
                        param.message = util.colorFilter(param.message);
                    }
                    //字体设置
                    param = util.setFont(param);
                    param.gold_count=parseInt(param.gold_count)+parseInt(param.reward_count)
                    switch(parseInt(param.reward_count))
                    {
                        case 0:
                            param.height='0rem';
                            break;
                        case 1:
                            param.height='2.5rem';
                            break;
                        case 2:
                            param.height='4.2rem';
                            break;
                        default:
                            param.height='4.8rem;'
                    }
                    if(parseInt(param.is_item)==0){
                        delete  param.is_item;
                    }
                    //渲染日记阶段数据
                    param.showDiaryBtn = true;
                    //new   电梯导航
                    param.diaryStage = fun.createDiaryStage(param);
                    param.dsyhq=ttname.dsyhq;
                    // 皇冠
                    var pConf = util.getPublishConf("new_head_decorator");
                    if( pConf != undefined && pConf.show_decorator == "yes" && param.is_ten_year){
                        param.is_ten_year=true;
                        param.headImg = pConf["list_decorator"];
                        //param.headImg = "http://att3.citysbs.com/80x80/hangzhou/2018/10/17/11/240x240-112547_v2_19391539746747025_c9b5ebb2452d60f4faf0de151b49c2c3.png";
                    }else{
                        param.is_ten_year=false;
                        if(pConf!=null && pConf["decorator_normal"]!=undefined){
                            param.noheadImg = pConf["decorator_normal"];
                        }
                        //param.noheadImg = "http://att3.citysbs.com/80x80/hangzhou/2018/10/17/11/240x240-112514_v2_11361539746714922_fa50df52514f228b5c52d42747bea7cc.png";
                    }

                    //渲染体验用户区域
                    param.expUserHtml = "";
                    if(param.exp_thread_view_bean && param.exp_thread_view_bean.ref_exp_threads){
                        param.expUserHtml = fun.getExpUserHtml(param.exp_thread_view_bean.ref_exp_threads);
                    }



                    if(parseInt(param.reward_count)>0){

                        yhq.getTicket({"tid": config.keyData.tid,"fid":config.keyData.fid})
                    }
                    if (config.keyData.appVersion.length > 0 && !(config.keyData.appVersion[0] <= 6 && config.keyData.appVersion[1] <1 )){
                        yhq.setReward();
                    }
                    if(param.is_item){
                        lifeItem()
                    }
                    if(util._toBoolean(config.keyData.isPic)){
                        param.is_pic=true
                        var loveUser = param.love_user_all_msg_view_bean;
                        if(loveUser != null && loveUser != undefined && !util._isEmptyObject(loveUser)){
                            // 相亲帖
                            var loveThread = param.love_user_all_msg_view_bean
                            var loveUserMsg =  loveThread.love_user_msg_for_web_view_bean
                            // 轮播图
                            var swiperImages = []
                            for(var item of loveThread.love_user_pic){
                                item.url = item.pic
                                swiperImages.push(item)
                            }
                            setTimeout(function(){
                                setPicView(swiperImages)
                            },800)
                            var message = '爱情幸运号：' +  loveUserMsg.love_code + '<br/>'
                            message = message + loveUserMsg.sex_str + "，" + loveUserMsg.constellation + "，年薪"  + loveUserMsg.salary_str + "，"  + loveUserMsg.edu_background_str + "，身高"   + loveUserMsg.height + "CM<br/>"
                            message = message + '爱情宣言：<br/>'
                            if(!loveUserMsg.single_declaration){
                                loveUserMsg.single_declaration = '该用户暂时没有填写'
                            }
                            message = message + loveUserMsg.single_declaration  + "<br/>"
                            message = message + '详细资料：<br/>'
                            var weight = ''
                            if(loveUserMsg.weight&&loveUserMsg.weight>0){
                                weight = loveUserMsg.weight + "kg，"
                            }
                            var nation = ''
                            if(loveUserMsg.nation_str){
                                nation = loveUserMsg.nation_str + "，"
                            }
                            message = message + loveUserMsg.occupation_str + "，" + weight  + nation  + loveUserMsg.housing_conditions_str + " " + loveUserMsg.car_str + " " + loveUserMsg.marital_status_str + "<br/>"
                            message = message + '所在地：' + loveUserMsg.location_province_str + " " + loveUserMsg.location_city_str + " "  + loveUserMsg.location_district_str + "<br/>"
                            message = message + '籍贯：' + loveUserMsg.hometown_province_string + " " + loveUserMsg.hometown_city_string + "<br/>"
                            if(loveUserMsg.my_type_value){
                                message = message + '我的类型：' + loveUserMsg.my_type_value + "<br/>"
                            }
                            if(loveUserMsg.my_love_value){
                                message = message + '我的爱好：' + loveUserMsg.my_love_value + "<br/>"
                            }
                            if(loveUserMsg.self_say){
                                message = message + '自我介绍：' + loveUserMsg.self_say + "<br/>"
                            }

                            var user_choice_msg = ''
                            var user_mate_msg_bean = loveThread.love_user_mate_choice_msg_for_web_view_bean
                            if(user_mate_msg_bean.age_desc){
                                user_choice_msg = user_choice_msg + user_mate_msg_bean.age_desc + '，'
                            }
                            if(user_mate_msg_bean.education_str){
                                user_choice_msg = user_choice_msg + user_mate_msg_bean.education_str + '，'
                            }
                            if(user_mate_msg_bean.height_str){
                                user_choice_msg = user_choice_msg + user_mate_msg_bean.height_str + '，'
                            }
                            if(user_mate_msg_bean.car_str){
                                user_choice_msg = user_choice_msg + user_mate_msg_bean.car_str + '，'
                            }
                            if(user_mate_msg_bean.house_condition_str){
                                user_choice_msg = user_choice_msg + user_mate_msg_bean.house_condition_str + '，'
                            }
                            if(user_mate_msg_bean.married_status_str){
                                user_choice_msg = user_choice_msg + user_mate_msg_bean.married_status_str + '，'
                            }
                            if(user_mate_msg_bean.ideal_partner_description){
                                user_choice_msg = user_choice_msg + '<br/>理想伴侣描述：' +user_mate_msg_bean.ideal_partner_description
                            }
                            if(user_choice_msg){
                                message = message + '择偶要求：<br/>' + user_choice_msg + "<br/>"
                            }
                            param.message = message
                        }
                        param.message=tool.formatBanBan(param.message,1)
                        param.attachments = param.attachments.length>0?[]:void(0)
                        // fun.picView(param)
                    }
                    fun.create(tpl,param,jid,"1");
                    if(config.keyData.isNovel == "false"){
                        //爱情幸运号
                        var loveUser = param.love_user_all_msg_view_bean;
                        if(loveUser != null && loveUser != undefined && !util._isEmptyObject(loveUser) && !util._toBoolean(config.keyData.isPic)){
                            loveUser.is_love = param.is_love;
                            fun.createLoveTable(loveUser);
                        }

                        //斑斑插话
                        var interruptArray =param.interrupt;
                        if(interruptArray != null && interruptArray != undefined && interruptArray.length>0){
                            if(util._isArray(interruptArray)){
                                fun.createBan(interruptArray);
                            }else{
                                fun.loadIng("数据解析异常");
                            }
                        }
                        //new 回复
                        if(!isDiary){
                            fun.create(d.tpl.befollow.join(""),param,jid,"1");
                        }
                        var goodReply =config.keyData.good_reply
                        if(goodReply != null && goodReply != undefined && goodReply.length>0){
                            if(util._isArray(goodReply)){
                                fun.createSuper(goodReply);
                            }else{
                                fun.loadIng("数据解析异常");
                            }
                        }
                        //pk
                        var pkExit = param.is_thread_pk,
                            pkInfo = param.thread_pk,
                            pktid  = param.tid;
                        if(pkExit != null && pkExit != undefined && pkExit){
                            getPkView(pkInfo,pktid);
                            pkReset();
                        }

                        /**获取投票模块***/
                        var vote = param.thread_vote;
                        if(param.is_thread_vote){
                            getVoteView(vote,subject,param.pid);
                        }
                        /*评分模块*/
                        // fun.createRateModel(param.fid,param.tid,param.pid);
                        var exp_thread_view = param.exp_thread_view_bean;
                        if(exp_thread_view != null && exp_thread_view != undefined && !util._isEmptyObject(exp_thread_view)){
                            /*体验贴模块*/
                            fun.createExpTable(exp_thread_view);
                        }
                        //首页跟帖楼层
                        if(items.length>1){
                            //new diary回帖信息
                            fun.createFollow(list,1);

                        }

                        //日记帖渲染加载推荐区域
                        if(param.is_diary && items.length==1){
                            initDiaryMod()
                        }
                        //商家券标签(排除日记帖，结构化帖)
                        if(param.open_business_tag && !param.is_diary && (param.structure == undefined || param.structure.length == 0))
                            getCategroy(config.keyData.category_name,util.html2text(items[0].message))
                    }
                }else{
                    fun.loadIng("数据解析异常");
                }

                //获取点赞文案
                fun.getLikeData()
                //判断是否关注楼主层
                var pas = {};
                var apiKey = {};
                connectWebViewJavascriptBridge(function(bridge){
                    apiKey = eval('('+bridge.getClientkey()+')');
                });
                pas.client_id = apiKey.client_id;
                pas.client_secret =apiKey.client_secret;
                pas.sign = 1;
                pas.current_time = apiKey.current_time;
                pas.access_token = apiKey.access_token;
                pas.attendUids =authorUid;
                pas.uid =config.keyData.uid;
                var isAttention=false;
                if(pas.uid!="0"){
                    if(pas.uid != items[0].author_uid){
                        //不是当前作者
                        try{
                            $.ajax({
                                contentType:"application/json",
                                type :"GET",
                                url : "https://"+config.keyData.domain+"/api/fans/isAttentionList",
                                data : pas,
                                dataType: 'jsonp',
                                jsonp: "clientjsonp",
                                success: function(res){
                                    //$(".lz_username").append('<a href="javascript:void(0);" class="attention J_attention"><span>关注</span></a>');
                                    if(res.message=="SUCCESS"){
                                        var ids = res.re_data;
                                        isAttention=ids[authorUid];
                                        if(!isAttention){
                                            $(".lz_username").append('<a href="javascript:void(0);" class="attention J_attention"><span></span></a>');
                                        }
                                    }
                                },
                                error:function(){
                                    $(".lz_username").append('<a href="javascript:void(0);" class="attention J_attention"><span></span></a>');
                                }
                            });
                        }catch (e){
                            connectWebViewJavascriptBridge(function(bridge){
                                bridge.showToast("error:isAttentionList");
                            })
                        }
                    }else if(util._isArray(items[0].structure) && items[0].structure.length > 0 && items[0].structure_status == "0"){
                        $(".lz_username").append('<a href="javascript:void(0);" class="attention J_struCancel" data-pid = "'+items[0].pid+'"><span></span></a>');
                    }

                }else{
                    $(".lz_username").append('<a href="javascript:void(0);" class="attention J_attention"><span></span></a>');
                }
            }
            //获取电梯导航数据
            fun.getStageData=function(cb){
                var data = {};
                var apiKey = {};
                connectWebViewJavascriptBridge(function(bridge){
                    apiKey = eval('('+bridge.getClientkey()+')');
                });
                // apiKey={"client_id" :"102","client_secret" :"ec8956637a99787bd197eacd77acce5e","access_token" :"102|15643893|ef6f7fe9b661d381d38741957e194eed"},
                data.client_id = apiKey.client_id;
                data.client_secret =apiKey.client_secret;
                data.access_token = apiKey.access_token;
                data.fid =config.keyData.fid;
                data.sign = 1;
                data.current_time = apiKey.current_time;
                data.tid =config.keyData.tid;
                var actUrl="https://"+config.keyData.domain+"/api/app/getStageInfoMap"
                $.ajax({
                    contentType: "application/json",
                    type: "GET",
                    url: actUrl,
                    data: data,
                    dataType: 'jsonp',
                    jsonp: "clientjsonp",
                    success: function (res) {
                        if(res.code=="1"){
                            typeof cb == "function" && cb(res.stage_info_map)
                        }
                    }
                })
            }
            //获取点赞手编文案
            fun.getLikeData=function(){
                var data = {};
                var apiKey = {};
                connectWebViewJavascriptBridge(function(bridge){
                    apiKey = eval('('+bridge.getClientkey()+')');
                });
                // apiKey={"client_id" :"102","client_secret" :"ec8956637a99787bd197eacd77acce5e","access_token" :"102|15643893|0750658a070be0a81a0952052bc131a0"},
                data.client_id = apiKey.client_id;
                data.client_secret = apiKey.client_secret;
                data.access_token = apiKey.access_token;
                data.publishId = 2312296;
                var actUrl="https://"+config.keyData.domain+"/api/other/getPublishContent"
                $.ajax({
                    contentType: "application/json",
                    type: "GET",
                    url: actUrl,
                    data: data,
                    dataType: 'jsonp',
                    jsonp: "clientjsonp",
                    success: function (res) {
                        if(res.code === "1"){
                            config.keyData.likeData = res.content
                        }
                    }
                })
            }

            fun.createDiaryLoftNav=function () {
                var hash={}
                hash.isVal=false
                if(config.keyData.gobalStageMap.isVal==undefined) {
                    fun.getStageData(function (res) {
                        var stageInfo= res;
                        var resMap=[],nav_title;
                        var domain=config.keyData.domain;
                        var tid=config.keyData.tid;
                        if(config.newDiaryHeaderInfo.category_id=="16"){
                            hash.nav_title="装修信息"
                            hash.isMarry=false
                        }else if(config.newDiaryHeaderInfo.category_id=="1"){
                            hash.nav_title="结婚信息"
                            hash.isMarry=true
                        }
                        $.each(stageInfo,function (key,value) {
                            var firstPid=value[0].pid;
                            for(var i=0,len=value.length;i<len;i++){
                                if(value[i].title==""){
                                    value[i].title="一篇没有标题的日记"
                                }
                            }
                            resMap.push({"nav_title":nav_title,"stage_info":value,"stage_name":key,"fid":config.keyData.fid,"tid":tid,"domain":domain,"firstPid":firstPid})
                        })
                        hash.resMap=resMap;
                        hash.isVal=true
                        hash.stageInfo=res;
                        config.keyData.gobalStageMap=hash
                        var tpl =d.diaryTpl.stageTpl.join("")
                        var html = Mustache.render(tpl,{hash:config.keyData.gobalStageMap})
                        $("#views").append(html)
                    });
                }else {
                    var stageInfo=config.keyData.gobalStageMap.stageInfo;
                    var resMap=[],nav_title;
                    var domain=config.keyData.domain;
                    var tid=config.keyData.tid;
                    if(config.newDiaryHeaderInfo.category_id=="16"){
                        hash.nav_title="装修信息"
                        hash.isMarry=false
                    }else if(config.newDiaryHeaderInfo.category_id=="1"){
                        hash.nav_title="结婚信息"
                        hash.isMarry=true
                    }
                    $.each(stageInfo,function (key,value) {
                        var firstPid=value[0].pid;
                        for(var i=0,len=value.length;i<len;i++){
                            if(value[i].title==""){
                                value[i].title="一篇没有标题的日记"
                            }
                            if(config.keyData.gobalPid==value[i].pid){
                                value[i].isGoShow=true
                            }else {
                                value[i].isGoShow=false
                            }
                        }
                        resMap.push({"nav_title":nav_title,"stage_info":value,"stage_name":key,"fid":config.keyData.fid,"tid":tid,"domain":domain,"firstPid":firstPid})
                    })
                    hash.resMap=resMap;
                    hash.isVal=true
                    var tpl =d.diaryTpl.stageTpl.join("")
                    var html = Mustache.render(tpl,{hash:config.keyData.gobalStageMap})
                    $("#views").append(html)
                }
            }
            fun.createStructure = function(array,status){
                var param = {base:[],privity:[],status:status=="1"};
                if(config.keyData.uid !="0"){
                    param.login = true;
                }
                if(navigator.userAgent.indexOf("cqmmgo") >-1){
                    param.isCq = true;
                }
                for(var i = 0;i<array.length;i++){
                    var id = array[i].field_id;
                    if(id != "200" && id != "15" && id != "201"){
                        // 排除基本资料，标题，规范
                        if(id != "1" && id != "3" && id != "5" && id != "6" && id !="7"){
                            param.base.push(array[i])
                        }else{
                            param.privity.push(array[i])
                        }
                    }

                }
                var tpl = d.tpl.structrue.join("");
                var html = fun.create(tpl,param,jid,"4");
                return html;
            }
            fun.createBan = function(array){
                if(util._toBoolean(config.keyData.isPic)){
                    var param={}
                    var item = array[0]
                    param.message = tool.formatBanBan(item.message)
                    if(isNightMode || config.keyData.isNovel == "true"){param.message = util.colorFilter(param.message);}
                    var tpl = d.tpl.picBanBan.join("");
                    fun.create(tpl,param,mid,"1");
                }else{
                    for(var i = 0;i<array.length;i++){
                        var param = array[i];
                        param.message = util.filter(param.message);
                        param.message = util.imgLazy(param.message,4);
                        if(isNightMode || config.keyData.isNovel == "true"){param.message = util.colorFilter(param.message);}
                        var tpl = d.tpl.banban.join("");
                        var p = param.position;
                        if (p == "1"||p == "3"){
                            //new 斑斑推荐插入
                            if(isDiary){
                                mid="shop-stage";
                                fun.create(tpl,param,mid,"5");
                            }else{
                                fun.create(tpl,param,mid,"2");
                            }
                        }else if(p == "2"||p == "4"){
                            if(isDiary){
                                mid="diary_banban";
                                fun.create(tpl,param,mid,"3");
                            }else{
                                fun.create(tpl,param,mid,"1");
                            }
                        }
                    }
                }
            }
        
            /**
             * 爱情幸运号
             */
            fun.createLoveTable = function(loveUser){
                var param = loveUser;
                if(param != null && param!= undefined && param.love_user_msg_for_web_view_bean.status == "0"){
                    //图片
                    //if(util._isArray(param.love_user_pic) && !util._isEmptyObject(param.love_user_pic)){
                    //    param.lovePicImg = param.love_user_pic[0].pic;
                    //}

                    //基本资料
                    var loveUserMsg = param.love_user_msg_for_web_view_bean;
                    param.loveCode = loveUserMsg.love_code !=""?loveUserMsg.love_code:"该用户暂时没有填写";
                    param.loveUserBasicMessage =loveUserMsg.sex_str + "，"+loveUserMsg.birthday.split("-")[0]+ "年，"+loveUserMsg.constellation+
                        "，年薪"+loveUserMsg.salary_str+"，"+loveUserMsg.edu_background_str+"，身高"+loveUserMsg.height+"CM";

                    //详细资料
                    param.singleDeclaration =loveUserMsg.single_declaration !=""?loveUserMsg.single_declaration:"该用户暂时没有填写";
                    param.loveUserDetailMessage=(loveUserMsg.occupation_str!=""?"从事"+loveUserMsg.occupation_str+"工作，":"") + (loveUserMsg.weight!="-1"?loveUserMsg.weight+"kg，":"")
                        +(loveUserMsg.nation_str!=""?loveUserMsg.nation_str+"，":"")+(loveUserMsg.blood_type_str!=""?loveUserMsg.blood_type_str+"血":"")

                    //择偶要求
                    if(!util._isEmptyObject(param.love_user_mate_choice_msg_for_web_view_bean)){
                        var loveUserMateMsg = param.love_user_mate_choice_msg_for_web_view_bean
                        param.loveUserChoiceMessage = (loveUserMateMsg.age_desc !=""?loveUserMateMsg.age_desc+"，":"")+(loveUserMateMsg.salary_str != ""?"年薪"+loveUserMateMsg.salary_str+"，":"")
                            +(loveUserMateMsg.education_str != ""?loveUserMateMsg.education_str+"，":"")+(loveUserMateMsg.height_str !=""?"身高"+loveUserMateMsg.height_str:"");
                    }else{
                        param.loveUserChoiceMessage = "该用户暂时没有填写"
                    }
                    var tpl = d.tpl.loveTable.join("");
                    fun.create(tpl,param,"comment","2");
                }
            }           
            /*
            * 体验贴
            * */
            fun.createExpTable = function(exp_thread_view){
                var param = exp_thread_view;
                //活动贴信息
                var ref_thread = param;
                var assess = param.assess;
                ref_thread.stars = new Array();
                ref_thread.nostars = new Array();
                var bd_thread = ref_thread.bd_thread;
                if(bd_thread.pic_addr=="[]" || bd_thread.pic_addr==""){
                    bd_thread.pic_addr="https://img2.citysbs.com/img/0.8.0.89/forum/common/default_album.gif";
                }else{
                    bd_thread.pic_addr = bd_thread.pic_addrs.split(",")[0];
                    bd_thread.pic_addr = bd_thread.pic_addr.replace("http://","https://").replace("90x60","no");
                }
                for(var i=0;i<assess;i++){
                    ref_thread.stars[i]="1";
                }
                for(var j=4;j>assess-1;j--){
                    var n = j-assess;
                    ref_thread.nostars[n]="0";
                }
                var expTpl = d.tpl.expTable.join("");
                fun.create(expTpl,ref_thread,jid,"1");

            }

            //创建子帖体验用户区域
            fun.getExpUserHtml = function(expUserHash){
                expUserHash.showMore = false;
                expUserHash.isNormalTpl = true;
                if(expUserHash.othread_ref_list.length>6){
                    expUserHash.showMore = true;
                    $.each(expUserHash.othread_ref_list,function(i){
                        if(i>5){
                            expUserHash.othread_ref_list[i].display_style = " style=\"display:none\""
                        }
                        expUserHash.othread_ref_list[i].bd_thread.user_avatar_url = expUserHash.othread_ref_list[i].bd_thread.user_avatar_url.replace("http://","https://");

                    })
                }
                return fun.create(d.tpl.expUserList.join(""),expUserHash,jid,"4");
            }

            /*
            * 活动贴
            * */
            fun.createRelTable = function(data){
                var ref_exp_threads = data;
                var expListTpl = d.tpl.expListTable.join("");
                //显示体验贴按钮
                var refButtonTpl = d.tpl.refButton.join("");

                //体验贴列表
                if(ref_exp_threads.count>0){
                    var bd_threadL = ref_exp_threads.othread_ref_list[0];
                    var bd_thread = bd_threadL.bd_thread;
                    ref_exp_threads.more_ttname = "app_tz_tytmore_"+bd_thread.city_name;
                    ref_exp_threads.list_ttname = "app_tz_tytlist_"+bd_thread.city_name;
                    ref_exp_threads.thread_ref_list = new Array();
                    var count=ref_exp_threads.count>=2?2:1;
                    for(var i=0;i<count;i++){
                        var bd_threadB = ref_exp_threads.othread_ref_list[i];
                        var bd_threadS = bd_threadB.bd_thread;
                        if(bd_thread.pic_addr!=""){
                            var pic_addr = bd_threadS.pic_addr.toString();
                            bd_threadS.pic_addr = pic_addr.replace("90x60","no");
                        }
                    }
                    if(ref_exp_threads.count>2){
                        for(var i=0;i<count;i++){
                            ref_exp_threads.thread_ref_list[i]=ref_exp_threads.othread_ref_list[i];
                        }
                        ref_exp_threads.othread_ref_list = ref_exp_threads.thread_ref_list;
                    }
                    fun.create(expListTpl,ref_exp_threads,jid,"1");
                }
                fun.create(refButtonTpl,ref_exp_threads,jid,"1");
            }

            fun.createSecondRely= function (parentPid,objectIds,objectIdList,list,index) {
                var items = list;
                var secondReply="";
                var tpl = "";
                for(var i = index;i<items.length;i++){
                    var param = items[i];
                    if(param.group_rank == 0)
                        param.group_rank = false
                    param.cityName=config.keyData.localCityName;
                    param.subject = util.html_encode(param.subject);
                    param.message = util.emoji(param.message);
                    param.message = util.html_encode(param.message);
                    param.message=util.video2gif(param.message);
                    param.author_gender = param.author_gender || 'unknow';
                    param.author_gid = param.author_gid || '0'
                    param.isOriginalPoster = param.author_uid == config.yhqData.uid
                    param.hasSpecialUser = util.hasSpecialUserGroup(param.author_gid);
                    param.renderUserName = tool.renderUserName
                    if(param.hasSpecialUser){
                        param.specialUserStr = util.getSpecialUserType(param.author_gid);
                        param.sepcialParentsClass = util.getSpecialUserClassStr(param.specialUserStr)
                    }
                    param.atShow=(param.reply_user_name!=undefined && param.reply_user_name!="")?true:false
                    param.parentPid=parentPid;
                    if(param.tid != "0"){
                        if(param.status == "0" || param.status == "-2" || util._shield(param.status)[0]){
                            if(param.status == "-2" && param.message == ""){
                                param.message = "正在发布中";
                            }else if(util._shield(param.status)[0]){
                                param.message = util._shield(param.status)[1]
                                param.shield = true
                            }else{
                                //quote 分离
                                var m_q = util.getQuote(param.message);
                                var quote = util.formatQuote(m_q[1]);
                                param.message = m_q[0];
                                param.message = util.filter(param.message);
                                param.message = util.imgLazy(param.message,2);
                                if(config.keyData.isNovel == "false"){
                                    param.message = util.imgLazy(param.message,6);
                                    param.message = quote + param.message;
                                }else{
                                    param.message = util.imgLazy(param.message,6);
                                }
                            }
                            if(config.keyData.isNovel == "false"){
                                param.attachments = util.attachmentsFilter(param.attachments,6,param.status);
                                param.created_at = util.formatTime(param.created_at);
                                param.showVerify = fun.showVerify(param.verify);
                                tpl = d.tpl.secondFllow.join("");
                            }
                            //夜间模式
                            // if(isNightMode || config.keyData.isNovel == "true"){
                            //     param.message = util.colorFilter(param.message);
                            // }
                            //
                            // //字体设置
                            param = util.setFont(param);
                            param.isOpposeShow=config.interactData.canNegative
                            // 皇冠
                            var pConf = util.getPublishConf("new_head_decorator");
                            if( pConf != undefined && pConf.show_decorator == "yes" && param.is_ten_year){
                                param.is_ten_year=true;
                                param.headImg = pConf["list_decorator"];
                            }else{
                                param.is_ten_year=false;
                                if(pConf!=null && pConf["decorator_normal"]!=undefined){
                                    param.noheadImg = pConf["decorator_normal"];
                                }
                            }
                            //渲染点赞列表
                            objectIds.push(config.keyData.tid + "_" +param.pid);
                            objectIdList.push(param.pid);
                            param.paramReplaceHttps = util.paramReplaceHttps;
                            secondReply += Mustache.render(tpl,param);
                            // fun.create(tpl,param,rid,"1");
                        }
                    }

                }
                return secondReply
            }
            /*
             * 日记帖阶段花费
             * @param data
             */
            fun.createDiaryStage = function(data){
                var diaryStage = "";
                if(data.is_diary){
                    var diaryStageTpl;
                    //new 电梯
                    diaryStageTpl = d.diaryTpl.diaryStage.join("");
                    var diaryHash = data
                    diaryHash.domain=tool.getCityNameByDomain(config.keyData.domain)
                    var showDiaryStage = false
                    if($(".m_j_btn").length>0 || $(".new_diaryStage").length>0)diaryHash.showDiaryBtn = false
                    if(!util._isEmptyObject(diaryHash.diary_post_info)){
                        showDiaryStage=true
                        diaryHash.showDiaryStage=showDiaryStage
                    }
                    diaryStage=Mustache.render(diaryStageTpl, diaryHash)
                    // currentNetworkStatus(networkStatus);
                }
                return diaryStage
            };

            /*
             * 跟帖
             * @param  {Object} list
             */
            fun.createFollow= function(list,index){
                if(list.length==0) return false
                var items = list;
                var i = 0;
                var top = 0;
                var category = 0;
                var objectIds = [];
                var objectIdList = new Array();
                for(i = index;i<items.length;i++){
                    var param = items[i];
                    if(param.group_rank == 0)
                        param.group_rank = false
                    param.cityName=config.keyData.localCityName;
                    param.subject = util.html_encode(param.subject);
                    param.message = util.emoji(param.message);
                    param.message = util.html_encode(param.message);
                    param.message=util.video2gif(param.message);
                    param.author_gender = param.author_gender || 'unknow';
                    param.author_gid = param.author_gid || '0'
                    param.isOriginalPoster = param.author_uid == config.yhqData.uid
                    param.hasSpecialUser = util.hasSpecialUserGroup(param.author_gid);
                    param.renderUserName = tool.renderUserName
                    if(param.hasSpecialUser){
                        param.specialUserStr = util.getSpecialUserType(param.author_gid);
                        param.sepcialParentsClass = util.getSpecialUserClassStr(param.specialUserStr)
                    }
                    param.isFloor=param.pid == config.keyData.floorPid?true:false;
                    param.parentPid=param.pid;
                    param.secondPostIndex = param.second_post_list.length

                    param.atShow=(param.reply_user_name!=undefined && param.reply_user_name!="")?true:false
                    var tpl = "";
                    if(param.tid != "0"){
                        if(param.status == "0" || param.status == "-2" || util._shield(param.status)[0]){
                            if(param.status == "-2" && param.message == ""){
                                param.message = "正在发布中";
                            }else if(util._shield(param.status)[0]){
                                param.message = util._shield(param.status)[1]
                                param.shield = true
                            }else{
                                //quote 分离
                                var m_q = util.getQuote(param.message);
                                var quote = util.formatQuote(m_q[1]);

								// 引用回复新样式
								var lastQuote = util.getLastQuote(quote);
								if(!lastQuote) lastQuote = ''
								var isShowOpen = false
								if(m_q.length>2 && m_q[2]>1){
									isShowOpen = true
								}

                                param.message = m_q[0];
                                param.message = util.filter(param.message);
                                if(config.keyData.isNovel == "false"){
                                    param.message = util.imgLazy(param.message,2);
									if(isShowOpen){
										if(lastQuote.substring(lastQuote.length-5)=='</dl>'){
											lastQuote = lastQuote.replace('</dl>','<div class="quote_open">展开引用内容<span class="to_open"></span></div></dl>')
										}
										if(quote.substring(quote.length-5)=='</dl>'){
											quote = quote.substring(0,quote.length-5)
											quote = quote + '<div class="quote_close">收起引用内容<span class="to_close"></span></div></dl>'
										}
									}
                                    param.message = '<div class="last_quote">'+lastQuote+ '</div>' + '<div class="all_quote">'+quote+ '</div>'  + param.message;

                                }else{
                                    param.message = util.imgLazy(param.message,3);
                                }
                            }
                            if(config.keyData.isNovel == "false"){
                                param.attachments = util.attachmentsFilter(param.attachments,2,param.status);
                                param.created_at = util.formatTime(param.created_at);
                                param.showVerify = fun.showVerify(param.verify);

                                var floor = parseInt(param.floor);
                                if(floor==0){
                                    param.floor = "";
                                }else if(floor == 2){
                                    param.floor = "沙发";
                                }else if(floor == 3){
                                    param.floor = "板凳";
                                }else if(floor == 4){
                                    param.floor = "地板";
                                }else if(floor > 4){
                                    param.floor = String(floor-4)+'楼';
                                }
                                if(util._isEmptyObject(param.diary_post_info)) {
                                    tpl = d.tpl.follow.join("");
                                }else {
                                    param.isMarry=config.keyData.isMarry
                                    param.isDiaryAll = isDiaryAll
                                    tpl = d.diaryTpl.softMain.join("");
                                }
                            }else{
                                //番外小说
                                param.attachments = util.attachmentsFilter(param.attachments,3,param.status);
                                /*S= 番外详情页*/
                                var floor = parseInt(param.floor);
                                if(config.keyData.from == "introduction"){
                                    if(floor<=4){
                                        param.introduction = true;
                                        tpl = d.tpl.fanwaifollow.join("");
                                    }
                                }
                                /*S= 阅读页*/
                                else{
                                    tpl = d.tpl.fanwaifollow.join("");
                                }
                            }
                            //夜间模式
                            if(isNightMode || config.keyData.isNovel == "true"){
                                param.message = util.colorFilter(param.message);
                            }

                            //字体设置
                            param = util.setFont(param);
                            // 皇冠
                            var pConf = util.getPublishConf("new_head_decorator");
                            if( pConf != undefined && pConf.show_decorator == "yes" && param.is_ten_year){
                                param.is_ten_year=true;
                                param.headImg = pConf["list_decorator"];
                                //param.headImg = "http://att3.citysbs.com/80x80/hangzhou/2018/10/17/11/240x240-112547_v2_19391539746747025_c9b5ebb2452d60f4faf0de151b49c2c3.png";
                            }else{
                                param.is_ten_year=false;
                                if(pConf!=null && pConf["decorator_normal"]!=undefined){
                                    param.noheadImg = pConf["decorator_normal"];
                                }
                                //param.noheadImg = "http://att3.citysbs.com/80x80/hangzhou/2018/10/17/11/240x240-112514_v2_11361539746714922_fa50df52514f228b5c52d42747bea7cc.png";
                            }
                            //渲染日记阶段数据
                            if(i==0)param.showDiaryBtn = true
                            //new   电梯导航
                            param.diaryStage = fun.createDiaryStage(param);
                            param.isOpposeShow=config.interactData.canNegative
                            //new 勋章字段
                            param.medalList=new Array()
                            if(param.medals !=undefined && param.medals.length>0){
                                param.medals.forEach(function (i,k) {
                                    param.medalList.push(i.color_icon_url)
                                })
                            }
                            //new 二级回复
                            var count=parseInt(param.second_post_count)-5
                            if(count>0) param.isSecondMore=true;
                            param.count=count
                            //渲染点赞列表
                            objectIds.push(config.keyData.tid + "_" +param.pid);
                            objectIdList.push(param.pid);
                            if(param.second_post_list != undefined && param.second_post_list.length>0)
                                param.secondReply=fun.createSecondRely(param.pid,objectIds,objectIdList,param.second_post_list,0);
                            if(util.$(rid).length>0){
                                $('.tab-wrap-loading').remove()
                                fun.create(tpl,param,rid,"1");
                                if(config.interactData.replyScroll){
                                    $('#replyContian').css('min-height','0px');
                                    config.interactData.replyScroll=false
                                }
                            }else{
                                fun.create(tpl,param,jid,"1");
                            }
                        }
                        if(i==items.length-1){
                            getListFn.getCount(objectIdList,objectIds,false);
                            getListFn.getCount(objectIdList,objectIds,true);
                        }
                    }
                    
                }   
                //日记帖渲染加载推荐区域
                if(param.is_diary){
                    initDiaryMod()
                }            
            }

            /*
             * 精彩回帖
             * @param  {Object} list
             */
            fun.createSuper = function(list){
                var items = list;
                var length = (items.length>10)?10:items.length;
                var category = 0;
                var objectIds =[];
                var objectIdList = new Array();
                for(var i = 0;i<length;i++){
                    var param = items[i];
                    if(param.group_rank == 0)
                        param.group_rank = false
                    //quote 分离
                    var m_q = util.getQuote(param.message);
                    var quote = util.formatQuote(m_q[1]);

					// 引用回复新样式
					var lastQuote = util.getLastQuote(quote);
					if(!lastQuote) lastQuote = ''
					var isShowOpen = false
					if(m_q.length>2 && m_q[2]>1){
						isShowOpen = true
					}
                    param.isOpposeShow=config.interactData.canNegative;
                    param.message = m_q[0];
                    param.message = util.imgLazy(param.message,2);
                    param.message = util.filter(param.message);
                    param.renderUserName = tool.renderUserName
                    if(isNightMode || config.keyData.isNovel == "true"){param.message = util.colorFilter(param.message);}

					if(isShowOpen){
						if(lastQuote.substring(lastQuote.length-5)=='</dl>'){
							lastQuote = lastQuote.replace('</dl>','<div class="quote_open">展开引用内容<span class="to_open"></span></div></dl>')
						}
						if(quote.substring(quote.length-5)=='</dl>'){
							quote = quote.substring(0,quote.length-5)
							quote = quote + '<div class="quote_close">收起引用内容<span class="to_close"></span></div></dl>'
						}
					}
					param.new_message = quote + param.message;
					param.message = lastQuote + param.message;
                    // param.message = quote + param.message;
                    param.created_at = util.formatTime(param.created_at);
                    param.attachments = util.attachmentsFilter(param.attachments,2,param.status);
                    param = util.setFont(param);
                    param.goodReply = true;
                    param.floor = "";
                    if(config.keyData.from == "bookrack"){
                        param.bookrack = true;}
                    else{
                        param.subject = "";
                    }
                    // var tpl = d.tpl.follow.join("");
                    //new follow
                    if(isDiary && !isDiaryAll) {
                        var tpl = d.diaryTpl.softMain.join("");
                    }else {
                        var tpl = d.tpl.follow.join("");
                    }
                    //渲染点赞列表
                    objectIds.push(config.keyData.tid + "_" +param.pid);
                    objectIdList.push(param.pid);
                    fun.create(tpl,param,rid,"5");
                    if(i==length-1){
                        // objectIds = objectIds.substring(1);
                        getListFn.getCount(objectIdList,objectIds,false);
                        getListFn.getCount(objectIdList,objectIds,true);
                    }
                }
            }
            fun.showVerify = function(verify){
                var v = verify;
                if(v == 1){
                    v = "dricon1";
                }else if(v == 2){
                    v = "dricon2";
                }else if(v == 3){
                    v = "dricon3";
                }else{
                    v = null;
                }
                return v;
            }
            /*
             * 加载成功
             *
             */
            fun.loadOk = function(){
                if(owner && !config.interactData.replyTabClick){
                    fun.createMain(view_data);
                } else{
                    fun.createFollow(view_data,0)
                }
                maxVideo();//全景视频
                // fun.createLoadTip();
                if(config.newDiaryHeaderInfo!=undefined){
                    if($('.left-nav').length == 0)
                        fun.createDiaryLoftNav();
                    if($("#stageFix").length == 0)
                        $("#views").append('<div class="stage_fix" id="stageFix"></div>')
                }
            }
            /***加载中*/
            fun.loadIng = function(m){
                var param = {"message":m};
                if(status == "0"){
                    param.img = "loading.gif";
                    param.class="load";
                }
                if(status == "3"){
                    param.class="noMore";
                }
                if(status == "2"){
                    param.class="reload";
                }
                if(status == "4"){
                    param.imgclass="no-reply";
                    param.class="del";
                }
                if(status == "5"){
                    param.class="nobody";
                }
                if(status == "6"){//新回复
                    param.imgclass="no-reply";
                    param.class="noData";
                }
                // if($(".seeMod").length>0){
                //     return true;
                // }
                //var tpl = d.tpl.buttomtwo.join("");
                var tpl = d.tpl.load.join("");
                fun.create(tpl,param,jid,"1");
                if(status == "3" || status == "5"){
                    getLikeAd();
                }
            }
            // fun.createLoadTip = function(){
            //     if(config.keyData.pageMode == "press"){
            //         debugger
            //         var param = {};
            //         if(config.keyData.current_page>=config.keyData.maxPage){
            //             param.n_able = "disable";
            //         }else if(config.keyData.current_page<=1){
            //             param.p_able = "disable";
            //         }
            //         param.page = config.keyData.current_page+"/"+config.keyData.maxPage;
            //         if(config.keyData.current_page==config.keyData.maxPage){
            //             param.last = true;
            //         }
            //         var tpl = d.tpl.pagen.join("");
            //         fun.create(tpl,param,jid,"1");
            //     }
            // }
            fun.create = function(tpl,param,obj,method){
                param.paramReplaceHttps = util.paramReplaceHttps;
                var h = Mustache.render(tpl, param);
                var o = util.$(obj);
                switch(method){
                    case "1" :
                        o.append(h);
                        break;
                    case "2" :
                        o.prepend(h);
                        break;
                    case "3" :
                        o.html(h);
                        break;
                    case "4" :
                        return h;
                    case "5":
                        o.before(h);
                        break;
                }
            }
            fun.init = function(){
                $(".loading").remove();
                if(type == "0" && !config.interactData.replyTabClick){//*0:刷新；1：插入*/
                    $("#views").html("");
                    document.body.scrollTop = 0;
                }
                if(status == "1"){//*0:加载中;1:加载成功;2：加载失败*;3:没有更多,4:权限判断*/
                    if (util._isArray(view_data) && view_data !==null && view_data!==undefined){//floor
                        if(view_data.length > 0 )
                            fun.loadOk();//owner 渲染主楼还是楼层
                        if(config.keyData.pageMode == "scroll"){
                            fun.loadIng("上拉加载更多");
                        }
                    }
                    else{
                        message = view_data;
                        fun.loadIng(message);//渲染结果提示（）

                    }
                }
                else{
                    fun.loadIng(message);
                }
            }

            fun.init();

        })(view._data,view._util,view._fun)

    }else{//判断版本号
        var view = {};
        view.version = "1.0";
        view._data = {
            conf:{
                data : "",
                owner : true, /*1:首页;2:第二页；>2:跟帖*/
                jid : "views",
                mid : "mainView",
                message : "加载中",
                status : "0", /*0:加载中;1:加载成功;2：加载失败*;3:没有更多,4:权限判断*/
                type : "0" ,/*0:刷新；1：插入*/
                isNightMode:false /*夜间模式*/
            },
            tpl:config.templet.tpl(),
            publish:{}
        };
        view._util = {};
        view._fun= {};

        (function(d,util){
            util._toBoolean = function(s){
                s = (s != undefined) ? s : this.toString();
                if(s==="false"||s===0){
                    return false;
                }else if(s==="true"||s===1){
                    return true;
                }else{
                    return s;
                }
            }
            util.isBoard=function(){
                if(config.keyData.fid.toString().length < 8){return false;}else{return true;}
            }
            util.getHash = function() {
                return $.extend(d.conf, options);
            }
            util.$ = function(em){
                return $("#" + em)
            };
            util._isArray = function(obj) {
                return Object.prototype.toString.call(obj).toLowerCase() === '[object array]';
            }
            util._isObj = function(obj) {
                return Object.prototype.toString.call(obj).toLowerCase() === '[object object]';
            }
            util.getPublishConf = function(key){
                if(typeof (d.publish[key]) == "undefined"){
                    connectWebViewJavascriptBridge(function(bridge){
                        if(bridge.getConfigDataJsonReturn != undefined){
                            d.publish[key] = JSON.parse(bridge.getConfigDataJsonReturn(key)).config;
                        }
                    });
                }
                return d.publish[key];
            }
            util = $.extend(util,tool);
        })(view._data,view._util);

        (function(d,util,fun){
            var hash = util.getHash();
            var view_data = hash.data;
            var owner = hash.owner;
            var type = hash.type;
            var status = hash.status;
            var jid = hash.jid;
            var mid = hash.mid;
            var message = hash.message
            var isNightMode = util._toBoolean(hash.isNightMode);
            /**
             * 楼主
             * @param  {Object} list
             */
            fun.createMain = function(list){
                var items = list;
                if(util._isArray(items) && items.length > 0){
                    var param = items[0];
                    if(param.group_rank == 0)
                        param.group_rank = false
                    param.subject = util.emoji(param.subject);
                    param.subject = util.html_encode(param.subject);
                    param.message = util.html_encode(param.message);
                    param.message=util.video2gif(param.message);
                    param.floor = "楼主";
                    var subject = param.subject;
                    var tpl = "";
                    if(param.thread_tags != "" && param.thread_tags){
                        param.threadTags = true;
                        param.thread_tag = param.thread_tags.slice(0, 4)
                    }
                    if(param.status != "0"){
                        param.message = "";
                        param.subject = "该帖子被屏蔽";
                        tpl = d.tpl.main.join("");
                    }else {
                        param.message = util.filter(param.message);
                        param.showVerify = fun.showVerify(param.verify);
                        param.views = util.postViews(param.views);
                        if(config.keyData.isNovel == "false"){
                            if(!util.isBoard())param.hasBroadCast = true;
                            param.message = util.imgLazy(param.message,1);
                            param.attachments = util.attachmentsFilter(param.attachments,1,param.status);
                            if(config.keyData.fid.toString() == "69" || config.keyData.fid.toString() == "464884"){
                                param.complain = true;
                            }
                            tpl = d.tpl.main.join("");
                            if(config.keyData.from == "image"){
                                param.image = true;
                            }
                            //结构化帖子
                            if(util._isArray(param.structure) && param.structure.length > 0){
                                var html = fun.createStructure(param.structure);
                                param.message = html;
                            }
                        }else{
                            //番外小说
                            param.hasBroadCast = false;
                            param.message = util.imgLazy(param.message,3);
                            param.attachments = util.attachmentsFilter(param.attachments,3,param.status);
                            tpl = d.tpl.fanwaimain.join("");
                        }
                        if(param.message.indexOf(subject) > -1){
                            param.subject = "";
                        }
                    }
                    // 日/夜间模式
                    if(isNightMode || config.keyData.isNovel == "true"){
                        param.message = util.colorFilter(param.message);
                    }

                    //字体设置
                    param = util.setFont(param);
                    param.gold_count=parseInt(param.gold_count)+parseInt(param.reward_count)
                    switch(parseInt(param.reward_count))
                    {
                        case 0:
                            param.height='0rem';
                            break;
                        case 1:
                            param.height='2.5rem';
                            break;
                        case 2:
                            param.height='4.2rem';
                            break;
                        default:
                            param.height='4.8rem;'
                    }
                    if(parseInt(param.is_item)==0){
                        delete  param.is_item;
                    }
                    //渲染日记阶段数据
                    param.showDiaryBtn = true
                    param.diaryStage = fun.createDiaryStage(param);
                    param.dsyhq=ttname.dsyhq;
                    // 皇冠
                    var pConf = util.getPublishConf("head_decorator");
                    if( pConf != undefined && pConf.show_decorator == "yes" && param.is_ten_year){
                        param.is_ten_year=true;
                        param.headImg = pConf["list_decorator"];
                    }else{
                        param.is_ten_year=false;
                    }
                    //渲染体验用户区域
                    param.expUserHtml = "";
                    if(param.exp_thread_view_bean && param.exp_thread_view_bean.ref_exp_threads){
                        param.expUserHtml = fun.getExpUserHtml(param.exp_thread_view_bean.ref_exp_threads);
                    }

                    fun.create(tpl,param,jid,"1");
                    if(parseInt(param.reward_count)>0){

                        yhq.getTicket({"tid": config.keyData.tid,"fid":config.keyData.fid})
                    }
                    if (config.keyData.appVersion.length > 0 && !(config.keyData.appVersion[0] <= 6 && config.keyData.appVersion[1] <1 )){
                        yhq.setReward();
                    }
                    if(param.is_item){
                        lifeItem()
                    }

                    if(config.keyData.isNovel == "false"){

                        //爱情幸运号
                        var loveUser = param.love_user_all_msg_view_bean;
                        if(loveUser != null && loveUser != undefined && !util._isEmptyObject(loveUser)){
                            loveUser.is_love = param.is_love;
                            fun.createLoveTable(loveUser);
                        }
                        //斑斑插话
                        var interruptArray = param.interrupt;
                        if(interruptArray != null && interruptArray != undefined && interruptArray.length>0){
                            if(util._isArray(interruptArray)){
                                fun.createBan(interruptArray);
                            }else{
                                fun.loadIng("数据解析异常");
                            }
                        }

                        //精彩回复
                        var goodReply = param.good_reply;
                        if(goodReply != null && goodReply != undefined && goodReply.length>0){
                            if(util._isArray(goodReply)){
                                fun.createSuper(goodReply);
                            }else{
                                fun.loadIng("数据解析异常");
                            }
                        }

                        //pk
                        var pkExit = param.is_thread_pk,
                            pkInfo = param.thread_pk,
                            pktid  = param.tid;
                        if(pkExit != null && pkExit != undefined && pkExit){
                            getPkView(pkInfo,pktid);
                            pkReset();
                        }

                        /**获取投票模块***/
                        var vote = param.thread_vote;
                        if(param.is_thread_vote){
                            getVoteView(vote,subject,param.pid);
                        }

                        var exp_thread_view = param.exp_thread_view_bean;
                        if(exp_thread_view != null && exp_thread_view != undefined && !util._isEmptyObject(exp_thread_view)){
                            /*体验贴模块*/
                            fun.createExpTable(exp_thread_view);
                        }
                        //首页跟帖楼层
                        if(items.length>1){
                            fun.createFollow(list,1);
                        }

                        //日记帖渲染加载推荐区域f
                        if(param.is_diary && items.length==1){
                            initDiaryMod()
                        }
                    }
                }else{
                    fun.loadIng("数据解析异常");
                }
            }
            fun.createStructure = function(array){
                var param = {};
                param.structrue = array;
                if(config.keyData.uid !="0"){
                    param.login = true;
                }
                var tpl = d.tpl.structrue.join("");
                var html = fun.create(tpl,param,jid,"4");
                return html;
            }
            fun.createBan = function(array){
                for(var i = 0;i<array.length;i++){
                    var param = array[i];
                    param.message = util.filter(param.message);
                    param.message = util.imgLazy(param.message,4);
                    if(isNightMode || config.keyData.isNovel == "true"){param.message = util.colorFilter(param.message);}
                    var tpl = d.tpl.banban.join("");
                    var p = param.position;
                    if (p == "1"||p == "3"){
                        fun.create(tpl,param,mid,"2");
                    }else if(p == "2"||p == "4"){
                        fun.create(tpl,param,mid,"1");
                    }
                }
            }

            /**
             * 爱情幸运号
             */
            fun.createLoveTable = function(loveUser){
                var param = loveUser;
                if(param != null && param!= undefined && param.love_user_msg_for_web_view_bean.status == "0"){
                    //图片
                    //if(util._isArray(param.love_user_pic) && !util._isEmptyObject(param.love_user_pic)){
                    //    param.lovePicImg = param.love_user_pic[0].pic;
                    //}

                    //基本资料
                    var loveUserMsg = param.love_user_msg_for_web_view_bean;
                    param.loveCode = loveUserMsg.love_code !=""?loveUserMsg.love_code:"该用户暂时没有填写";
                    param.loveUserBasicMessage =loveUserMsg.sex_str + "，"+loveUserMsg.birthday.split("-")[0]+ "年，"+loveUserMsg.constellation+
                        "，年薪"+loveUserMsg.salary_str+"，"+loveUserMsg.edu_background_str+"，身高"+loveUserMsg.height+"CM";

                    //详细资料
                    param.singleDeclaration =loveUserMsg.single_declaration !=""?loveUserMsg.single_declaration:"该用户暂时没有填写";
                    param.loveUserDetailMessage=(loveUserMsg.occupation_str!=""?"从事"+loveUserMsg.occupation_str+"工作，":"") + (loveUserMsg.weight!="-1"?loveUserMsg.weight+"kg，":"")
                        +(loveUserMsg.nation_str!=""?loveUserMsg.nation_str+"，":"")+(loveUserMsg.blood_type_str!=""?loveUserMsg.blood_type_str+"血":"")

                    //择偶要求
                    if(!util._isEmptyObject(param.love_user_mate_choice_msg_for_web_view_bean)){
                        var loveUserMateMsg = param.love_user_mate_choice_msg_for_web_view_bean
                        param.loveUserChoiceMessage = (loveUserMateMsg.age_desc !=""?loveUserMateMsg.age_desc+"，":"")+(loveUserMateMsg.salary_str != ""?"年薪"+loveUserMateMsg.salary_str+"，":"")
                            +(loveUserMateMsg.education_str != ""?loveUserMateMsg.education_str+"，":"")+(loveUserMateMsg.height_str !=""?"身高"+loveUserMateMsg.height_str:"");
                    }else{
                        param.loveUserChoiceMessage = "该用户暂时没有填写"
                    }
                    var tpl = d.tpl.loveTable.join("");
                    fun.create(tpl,param,"comment","2");
                }
            }

            /*
             * 体验贴
             * */
            fun.createExpTable = function(exp_thread_view){
                var param = exp_thread_view;
                //活动贴信息
                var ref_thread = param;
                var assess = param.assess;
                ref_thread.stars = new Array();
                ref_thread.nostars = new Array();
                var bd_thread = ref_thread.bd_thread;
                if(bd_thread.pic_addr=="[]" || bd_thread.pic_addr==""){
                    bd_thread.pic_addr="https://img2.citysbs.com/img/0.8.0.89/forum/common/default_album.gif";
                }else{
                    bd_thread.pic_addr = bd_thread.pic_addrs.split(",")[0];
                    bd_thread.pic_addr = bd_thread.pic_addr.replace("http://","https://").replace("90x60","no");
                }
                for(var i=0;i<assess;i++){
                    ref_thread.stars[i]="1";
                }
                for(var j=4;j>assess-1;j--){
                    var n = j-assess;
                    ref_thread.nostars[n]="0";
                }
                var expTpl = d.tpl.expTable.join("");
                fun.create(expTpl,ref_thread,jid,"1");

            }

            //创建子帖体验用户区域
            fun.getExpUserHtml = function(expUserHash){
                expUserHash.showMore = false;
                expUserHash.isNormalTpl = true;
                if(expUserHash.othread_ref_list.length>6){
                    expUserHash.showMore = true;
                    $.each(expUserHash.othread_ref_list,function(i){
                        if(i>5){
                            expUserHash.othread_ref_list[i].display_style = " style=\"display:none\""
                        }
                        expUserHash.othread_ref_list[i].bd_thread.user_avatar_url = expUserHash.othread_ref_list[i].bd_thread.user_avatar_url.replace("http://","https://");

                    })
                }
                return fun.create(d.tpl.expUserList.join(""),expUserHash,jid,"4");
            }

            /*
             * 活动贴
             * */
            fun.createRelTable = function(data){
                var ref_exp_threads = data;
                var expListTpl = d.tpl.expListTable.join("");
                //显示体验贴按钮
                var refButtonTpl = d.tpl.refButton.join("");

                //体验贴列表
                if(ref_exp_threads.count>0){
                    var bd_threadL = ref_exp_threads.othread_ref_list[0];
                    var bd_thread = bd_threadL.bd_thread;
                    ref_exp_threads.more_ttname = "app_tz_tytmore_"+bd_thread.city_name;
                    ref_exp_threads.list_ttname = "app_tz_tytlist_"+bd_thread.city_name;
                    ref_exp_threads.thread_ref_list = new Array();
                    var count=ref_exp_threads.count>=2?2:1;
                    for(var i=0;i<count;i++){
                        var bd_threadB = ref_exp_threads.othread_ref_list[i];
                        var bd_threadS = bd_threadB.bd_thread;
                        if(bd_thread.pic_addr!=""){
                            var pic_addr = bd_threadS.pic_addr.toString();
                            bd_threadS.pic_addr = pic_addr.replace("90x60","no");
                        }
                    }
                    if(ref_exp_threads.count>2){
                        for(var i=0;i<count;i++){
                            ref_exp_threads.thread_ref_list[i]=ref_exp_threads.othread_ref_list[i];
                        }
                        ref_exp_threads.othread_ref_list = ref_exp_threads.thread_ref_list;
                    }
                    fun.create(expListTpl,ref_exp_threads,jid,"1");
                }
                fun.create(refButtonTpl,ref_exp_threads,jid,"1");
            }
            /**
             * 日记帖阶段花费
             * @param data
             */
            fun.createDiaryStage = function(data){
                var diaryStage = "";
                if(data.is_diary){
                    var diaryStageTpl = d.tpl.diaryStage.join("");
                    var diaryHash = data
                    var showDiaryStage = false
                    if($(".m_j_btn").length>0)diaryHash.showDiaryBtn = false
                    if(!util._isEmptyObject(diaryHash.diary_post_info)){
                        showDiaryStage=true
                        diaryHash.showDiaryStage=showDiaryStage
                    }
                    diaryStage=Mustache.render(diaryStageTpl, diaryHash);
                    // currentNetworkStatus(networkStatus);
                }
                return diaryStage
            };

            /**
             * 跟帖
             * @param  {Object} list
             */
            fun.createFollow= function(list,index){
                var items = list;
                var i = 0;
                var top = 0;
                for(i = index;i<items.length;i++){
                    var param = items[i];
                    if(param.group_rank == 0)
                        param.group_rank = false
                    param.subject = util.html_encode(param.subject);
                    param.message = util.html_encode(param.message);
                    param.message=util.video2gif(param.message);
                    var tpl = "";
                    if(param.tid != "0"){
                        if(param.status == "0" || param.status == "-2" || util._shield(param.status)[0]){
                            if(param.status == "-2" && param.message == ""){
                                param.message = "正在发布中";
                            }else if(util._shield(param.status)[0]){
                                param.message = util._shield(param.status)[1]
                                param.shield = true
                            }else{
                                //quote 分离
                                var m_q = util.getQuote(param.message);
                                var quote = util.formatQuote(m_q[1]);
                                param.message = m_q[0];
                                param.message = util.filter(param.message);
                                if(config.keyData.isNovel == "false"){
                                    param.message = util.imgLazy(param.message,2);
                                    param.message = quote + param.message;
                                }else{
                                    param.message = util.imgLazy(param.message,3);
                                }
                            }
                            if(config.keyData.isNovel == "false"){
                                param.attachments = util.attachmentsFilter(param.attachments,2,param.status);
                                param.created_at = util.formatTime(param.created_at);
                                param.showVerify = fun.showVerify(param.verify);

                                var floor = parseInt(param.floor);
                                if(floor == 2){
                                    param.floor = "沙发";
                                }else if(floor == 3){
                                    param.floor = "板凳";
                                }else if(floor == 4){
                                    param.floor = "地板";
                                }else if(floor > 4){
                                    param.floor = String(floor-4);
                                }
                                tpl = d.tpl.follow.join("");
                            }else{
                                //番外小说
                                param.attachments = util.attachmentsFilter(param.attachments,3,param.status);
                                /*S= 番外详情页*/
                                var floor = parseInt(param.floor);
                                if(config.keyData.from == "introduction"){
                                    if(floor<=4){
                                        param.introduction = true;
                                        tpl = d.tpl.fanwaifollow.join("");
                                    }
                                }
                                /*S= 阅读页*/
                                else{
                                    tpl = d.tpl.fanwaifollow.join("");
                                }

                            }
                            //夜间模式
                            if(isNightMode || config.keyData.isNovel == "true"){
                                param.message = util.colorFilter(param.message);
                            }

                            //字体设置
                            param = util.setFont(param);
                            // 皇冠/
                            var pConf = util.getPublishConf("head_decorator");
                            if( pConf != undefined && pConf["show_decorator"] == "yes" && param.is_ten_year){
                                param.is_ten_year=true;
                                param.headImg = pConf["list_decorator"];
                            }else{
                                param.is_ten_year=false;
                            }
                            //渲染日记阶段数据
                            if(i==0)param.showDiaryBtn = true
                            param.diaryStage = fun.createDiaryStage(param)

                            fun.create(tpl,param,jid,"1");
                            // if(i == 6 && config.keyData.current_page==1 && config.keyData.isNovel == "false"){
                            //     //圈圈推荐
                            //     fun.create(d.tpl.qzRecommend.join(""),{},jid,"1");
                            //     getRecommCroupsView();
                            // }
                        }
                    }
                }

                // //日记帖渲染加载推荐区域
                // if(param.is_diary){
                //     initDiaryMod()
                // }
            }

            /**
             * 精彩回帖
             * @param  {Object} list
             */
            fun.createSuper = function(list){
                var items = list;
                var length = (items.length>10)?10:items.length;
                for(var i = 0;i<length;i++){
                    var param = items[i];
                    //quote 分离
                    var m_q = util.getQuote(param.message);
                    var quote = util.formatQuote(m_q[1]);
                    param.message = m_q[0];
                    param.message = util.imgLazy(param.message,2);
                    param.message = util.filter(param.message);
                    if(isNightMode || config.keyData.isNovel == "true"){param.message = util.colorFilter(param.message);}
                    param.message = quote + param.message;
                    param.created_at = util.formatTime(param.created_at);
                    param.attachments = util.attachmentsFilter(param.attachments,2,param.status);
                    param = util.setFont(param);
                    param.goodReply = true;
                    param.floor = "";
                    if(config.keyData.from == "bookrack"){
                        param.bookrack = true;}
                    else{
                        param.subject = "";
                    }
                    var tpl = d.tpl.follow.join("");

                    fun.create(tpl,param,jid,"1");
                }
            }
            fun.showVerify = function(verify){
                var v = verify;
                if(v == 1){
                    v = "dricon1";
                }else if(v == 2){
                    v = "dricon2";
                }else if(v == 3){
                    v = "dricon3";
                }else{
                    v = null;
                }
                return v;
            }
            /**
             * 加载成功
             *
             */
            fun.loadOk = function(){
                if(owner){
                    fun.createMain(view_data);
                }
                else{
                    fun.createFollow(view_data,0);
                }
                maxVideo();//全景视频
                fun.createLoadTip();
            }
            /***加载中*/
            fun.loadIng = function(m){
                var param = {"message":m};
                if(status == "0"){
                    param.img = "loading.gif";
                    param.class="load";
                }
                if(status == "3"){
                    param.class="noMore";
                }
                if(status == "2"){
                    param.class="reload";
                }
                if(status == "5"){
                    param.class="nobody";
                }
                //var tpl = d.tpl.buttomtwo.join("");
                var tpl = d.tpl.load.join("");
                fun.create(tpl,param,jid,"1");
            }

            fun.createLoadTip = function(){
                if(config.keyData.pageMode == "press"){
                    var param = {};
                    if(config.keyData.current_page>=config.keyData.maxPage){
                        param.n_able = "disable";
                    }else if(config.keyData.current_page<=1){
                        param.p_able = "disable";
                    }
                    param.page = config.keyData.current_page+"/"+config.keyData.maxPage;
                    if(config.keyData.current_page==config.keyData.maxPage){
                        param.last = true;
                    }
                    var tpl = d.tpl.pagen.join("");
                    fun.create(tpl,param,jid,"1");
                    if(config.keyData.current_page==config.keyData.maxPage) {
                        aboutSomeBook();
                    }
                }
            }
            fun.create = function(tpl,param,obj,method){
                param.paramReplaceHttps = util.paramReplaceHttps;
                var h = Mustache.render(tpl, param);
                var o = util.$(obj);
                switch(method){
                    case "1" :
                        o.append(h);
                        break;
                    case "2" :
                        o.prepend(h);
                        break;
                    case "3" :
                        o.html(h);
                        break;
                    case "4" :
                        return h;
                }
            }
            fun.init = function(){
                $(".loading").remove();
                $("#views").addClass("mod_version_7");
                if(type == "0"){
                    $("#views").html("");
                    document.body.scrollTop = 0;
                }
                if(status == "1"){
                    if (util._isArray(view_data) && view_data !==null && view_data!==undefined){
                        fun.loadOk();
                        if(config.keyData.pageMode == "scroll"){
                            fun.loadIng("上拉加载更多");
                        }
                    }
                    else{
                        message = view_data;
                        fun.loadIng(message);

                    }
                }
                else{
                    fun.loadIng(message);
                }
            }
            fun.init();

        })(view._data,view._util,view._fun)
    }
}
